2008-02-19  Pavel Roskin  <proski@gnu.org>

	* doc/hu/mc.1.in: Fix description for M-u and M-H.  Reported by
	Bozo Lajos.

2008-01-06  Roland Illig  <roland.illig@gmx.de>

	* FAQ: Answered the slow startup related to old Samba code.
	(Closes: #21959)

2007-10-19  Pavel Tsekov  <ptsekov@gmx.net>

	* NEWS: Update for 4.6.2.

2007-10-11  Pavel Tsekov  <ptsekov@gmx.net>

	* configure.ac: Determine the size of `long', `long long' and
	off_t.

2007-09-26  Pavel Tsekov  <ptsekov@gmx.net>

	* NEWS: Revert last change - it is invalid.

2007-09-24  Pavel Tsekov  <ptsekov@gmx.net>

	* m4/codeset.m4: Update to serial #2.
	* m4/fsusage.m4: Update to serial #23.
	* m4/iconv.m4: Update to serial #AM6.
	* m4/intdiv0.m4: Update from gnulib.
	* m4/intmax.m4: Update to serial #3.
	* m4/inttypes-pri.m4: Update to serial #4.
	* m4/inttypes_h.m4: Update to serial #7.
	* m4/lib-link.m4: Update to serial #13.
	* m4/lib-prefix.m4: Update to serial #5.
	* m4/longlong.m4: Update to serial #10.
	* m4/onceonly.m4: Update to serial #4.
	* m4/printf-posix.m4: Update to serial #3.
	* m4/size_max.m4: Update to serial #6.
	* m4/stdint_h.m4: Update to serial #6.
	* m4/ulonglong.m4: Update to serial #6.
	* m4/wint_t.m4: Update to serial #2.

2007-09-24  Pavel Tsekov  <ptsekov@gmx.net>

	* doc/mcedit.1.in: Update the version number to 4.6.2-pre1.
	* doc/mcview.1.in: Ditto.
	* doc/mcserv.8.in: Ditto.

2007-09-24  Pavel Tsekov  <ptsekov@gmx.net>

	* FAQ: Update MC's homepage url.
	* README: Ditto.
	* doc/mc.1.in: Ditto.
	* doc/mcedit.1.in: Ditto.
	* doc/mcserv.8.in: Ditto.
	* doc/mcview.1.in: Ditto.
	* doc/es/mc.1.in: Ditto.
	* doc/hu/mc.1.in: Ditto.
	* doc/it/mc.1.in: Ditto.
	* doc/pl/mc.1.in: Ditto.
	* doc/ru/mc.1.in: Ditto.
	* doc/sr/mc.1.in: Ditto.
	* doc/sr/mcserv.8.in: Ditto.

2007-09-10  Pavel Tsekov  <ptsekov@gmx.net>

	* configure.ac: Update the version number to 4.6.2-pre1.
	* doc/mc.1.in: Likewise.

2007-01-13  Pavel Tsekov  <ptsekov@gmx.net>

	* doc/mc.1.in: Place the description of the "Swap panels" on
	a paragraph of its own.

2006-12-30  Pavel Tsekov  <ptsekov@gmx.net>

	* m4/ls-mntd-fs.m4: Update to serial #26.

2006-12-30  Pavel Tsekov  <ptsekov@gmx.net>

	* m4/fsusage.m4: Update to serial #22.

2006-12-30  Pavel Tsekov  <ptsekov@gmx.net>

	* m4/fsusage.m4: Update to serial #18.

2006-12-28  Pavel Roskin  <proski@gnu.org>

	* build-glib1.sh: Fix misplaced --with-glib12.  Copy
	config.guess and config.sub from mc to glib sources - they are
	too old in glib.
	* build-glib2.sh: Update to the latest versions of glib, gettext
	and pkg-config.

2006-11-27  Leonard den Ottolander  <leonard den ottolander nl>

	* NEWS: Bash < 2.05b (3-digit octals in echo_e_cmd) no longer
	supported.

2006-09-07  Pavel Tsekov  <ptsekov@gmx.net>

	* acinclude.m4 (AC_GET_FS_INFO): Add erronously removed call to
	gl_FSTYPENAME.
	* m4/ls-mntd-fs.m4 (gl_LIST_MOUNTED_FILE_SYSTEMS): Add missing 
	include directive for sys/param.h.

2006-09-07  Pavel Tsekov  <ptsekov@gmx.net>

	* m4/ls-mntd-fs.m4: Update to serial#22, which adds support
	for getmntinfo() returning its result in struct statvfs.
	* m4/fstypename.m4: Update to serial#6, which replaces
	HAVE_F_FSTYPENAME_IN_STATFS with HAVE_STRUCT_STATFS_F_FSTYPENAME.

2006-09-07  Pavel Tsekov  <ptsekov@gmx.net>

	* acinclude.m4 (AC_GET_FS_INFO): Revert a failed attempt to
	properly detect getmntinfo() returning its result in struct statvfs.

2006-06-30  Hampa Hug  <hampa@hampa.ch>

	* acinclude.m4 (AC_GET_FS_INFO): Check the return value of
	getmntinfo() properly.

2006-06-17  Pavel Tsekov  <ptsekov@gmx.net>

	* m4/fstypename.m4: New file.
	* acinclude.m4 (AC_GET_FS_INFO): Add a check to determine whether
	getmntinfo() takes struct statvfs instead of struct statfs as its
	first argument. Define MOUNTED_GETMNTINFO_STATVFS if it does.
	Add a check to determine whether struct statvfs has a field named
	f_fstypename.
	Use gl_FSTYPENAME tp determine whether struct statfs has a field
	named f_fstypename.

2006-06-07  Pavel Tsekov  <ptsekov@gmx.net>

	* configure.ac: Revert last commit.

2006-05-29  Roland Illig  <roland.illig@gmx.de>

	* m4/ls-mntd-fs.m4: Updated to serial #21, which fixes the use
	of an undefined variable.

2006-05-21  Roland Illig  <roland.illig@gmx.de>

	* configure.ac: Fixed detection of <sys/statvfs.h>, statvfs()
	and struct statvfs.f_fstypename, so that mc builds on NetBSD 3.0
	again.

2006-04-18  Pavel Tsekov  <ptsekov@gmx.net>

	* acinclude.m4 (AC_GET_FS_INFO): Make it work again - the last
	commit broke it.
	* m4/onceonly.m4: New file.

2006-04-13  Anton Monroe  <akm@meer.net>

	* doc/mc.1.in: Function key documentation update.

2006-03-18  Leonard den Ottolander  <leonard den ottolander nl>

	* acinclude.m4 (AC_GET_FS_INFO): Replace old fileutils code to get
	mount and file system information with m4_includes of the corresponding
	GNU coreutils-5.94 files (ls-mntd-fs.m4 (#20) and fsusage.m4 (#16)).

	* m4/fsusage.m4, m4/ls-mntd-fs.m4: Create.

2006-02-23  Pavel Tsekov  <ptsekov@gmx.net>

	* doc/mc.1.in: Document `fish_directory_timeout'.

2006-02-18  David Martin  <<dmartina@excite.com>

	* doc/es/mc.1.in: Cleanup. Fix key naming.

2006-01-29  Pavel Tsekov  <ptsekov@gmx.net>

	* doc/mc.1.in: Update the documentation to reflect the fact
	that confirmation may be requested when deleting directory
	hotlist entries based on a user configurable setting.

2006-01-29  Julian Mehnle  <julian@mehnle.net>

	* doc/mc.1.in: Document support for VIEWER environment variable.

2005-11-15  Pavel Roskin  <proski@gnu.org>

	* acinclude.m4 (MC_WITH_MCSLANG): Add type tests from S-Lang
	configuration scripts.

2005-11-10  Pavel Roskin  <proski@gnu.org>

	* configure.ac: Catch unexpanded MC_* macros.

	* m4/*.m4: Update to the macros provided by gettext 0.14.3.
	* m4/Makefile.am: Update the list of the *.m4 files.

	* configure.ac: Use AC_GNU_SOURCE, which prevents redefining
	_GNU_SOURCE.  Bump Autoconf version to 2.54, where AC_GNU_SOURCE
	appeared.
	Reported by Leonard den Ottolander <leonard den ottolander nl>

	* configure.ac: Use gettext 0.14.3.
	* acinclude.m4 (MC_ASM_LABELS): Remove, it's not needed with
	recent versions of gettext.

	* acinclude.m4 (MC_ASM_LABELS): Make the test function global
	and move its definition above main().  That's closer to what
	gettext is actually doing.

2005-10-03  Pavel Roskin  <proski@gnu.org>

	* configure.ac: Require gettext with ngettext support.  It's
	already used in src/info.c.

2005-09-28  Pavel Roskin  <proski@gnu.org>

	* acinclude.m4: Remove gettext 0.10.x compatibility.

2005-08-23  Marco Ciampa  <ciampix@libero.it>

	* doc/it/mc.1.in: updated italian trasnlation.
	* doc/it/xnc.hlp: small fix.

2005-08-15  Roland Illig  <roland.illig@gmx.de>

	* configure.ac: The function getgrouplist() is not used anymore,
	so there is no need to check for it. The various get[ug]id
	functions are used, so add checks for them. Same for isascii.

2005-07-20  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Restore support for opening 7-zip archives.

	* configure.ac: Add vfs/extfs/ualz to AC_CONFIG_FILES.
	* lib/mc.ext.in: Add support for ALZip archives.

2005-07-10  Leonard den Ottolander  <leonard den ottolander nl>

	* configure.ac: Rename AS_HELP_STRING to AC_HELP_STRING.

2005-07-08  Leonard den Ottolander  <leonard den ottolander nl>

	* NEWS: Fixed commit to the wrong branch.

2005-07-05  Roland Illig  <roland.illig@gmx.de>

	* configure.ac: Removed detection of the umode_t type. All
	references to it have been replaced with mode_t.

2005-07-03  Leonard den Ottolander  <leonard * den ottolander nl>

	* lib/mc.ext.in: Match files in /log/ or /logs/ directories as plain
	text not man page; match local man pages; add fixes for gzipped man
	pages to plain and bzipped man pages.

2005-07-03  Leonard den Ottolander  <leonard * den ottolander nl>

	* lib/mc.ext.in: Move matches for plain compressed files down.

2005-07-03  Roland Illig  <roland.illig@gmx.de>

	* acinclude.m4 (MC_WITH_VFS): Don't link with libnsl
	unnecessarily.
	* configure.ac: Simplified detection of the necessary libraries
	for socket() and gethostbyname().

	Patch provided by Tomasz Kloczko at 2005-06-15 on mc-devel.

2005-06-21  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Support opening for 7-Zip archives.

2005-06-06  Roland Illig  <roland.illig@gmx.de>

	* NEWS: Added the differences between pre3 and HEAD.
	* lib/mc.ext.in: Added ${PAGER} as fallback if neither lynx nor
	links is installed.

2005-05-31  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* pkginfo.in: New file. Configuration files for Sun Solaris pkgmk(1).
	* prototype.in: Likewise.
	* configure.ac: Likewise.
	* Makefile.am: Likewise.

2005-05-29  Martin Petricek  <tux@centrum.cz>

	* lib/mc.ext.in: Added support for .7z archives.

2005-05-26  Pavel Roskin  <proski@gnu.org>

	* *: Update postal address of Free Software Foundation.

2005-05-23  Roland Illig  <roland.illig@gmx.de>

	* syntax/ChangeLog: The syntax directory has got its own
	ChangeLog.

2005-05-17  Roland Illig  <roland.illig@gmx.de>

	* configure.ac: Removed the extra definition of
	HAVE_C_TYPE_SOCKLEN_T, which is unused.

2005-05-14  Roland Illig  <roland.illig@gmx.de>

	* syntax/diff.syntax: Lines starting with a <tab> character are
	displayed like lines starting with a <space>. This is for the
	cvs diff -T option.
	* syntax/makefile.syntax: Highlight $$ (a literal $) in
	brightcyan. This way $${var} is not highlighted as if it were a
	Makefile variables. Also added useful comments before the contexts.

2005-05-13  Pavel Roskin  <proski@gnu.org>

	* configure.ac: Require Autoconf 2.53 or newer.
	* m4/Makefile.am: Remove isc-posix.m4, it's obsolete.
	* m4/isc-posix.m4: Remove.

2005-05-13  Nerijus Baliunas  <nerijus@users.sourceforge.net>

	* lib/mc.ext.in: Add OpenOffice.org 2 extensions, use o3totxt
	to view OpenOffice.org documents.

2005-05-11  Pavel Roskin  <proski@gnu.org>

	* acinclude.m4: Remove MC_ARG_ENABLE_DEVELOPER_MODE.
	* configure.ac: Replace MC_ARG_ENABLE_DEVELOPER_MODE with a
	simpler and more user-friendly piece of code.

2005-05-01  Roland Illig  <roland.illig@gmx.de>

	* syntax/c.syntax: Added missing punctuation characters.

2005-04-28  Pavel Roskin  <proski@gnu.org>

	* syntax/Syntax: Don't highlight csh scripts.  Allow using
	"/usr/bin/env" instead of the full path.

2005-04-27  Leonard den Ottolander  <leonard * den ottolander nl>

	* AUTHORS: Added Pavel Shirshov and myself as contributors.

2005-04-26  Roland Illig  <roland.illig@gmx.de>

	* acinclude.m4: Renamed AS_HELP_STRING to AC_HELP_STRING for
	compatibility with autoconf-2.57.

2005-04-22  Roland Illig  <roland.illig@gmx.de>

	* acinclude.m4: Added macro MC_ARG_ENABLE_DEVELOPER_MODE.
	* configure.ac: Using MC_ARG_ENABLE_DEVELOPER_MODE instead of
	the --maintainer-mode.

2005-04-17  Leonard den Ottolander  <leonard * den ottolander nl>

	* syntax/eiffel.syntax: dos2unix; removed redundant cooledit
	colour definitions.
	* syntax/perl.syntax: Removed redundant cooledit definitions.
	* syntax/php.syntax: ' ' and " " context fixes.
	* syntax/syntax.syntax: Removed 2 duplicate lines.

2005-04-16  Roland Illig  <roland.illig@gmx.de>

	* lib/mc.ext.in: Recognize either *.udeb or *.deb as Debian
	packages. Fixes Savannah patch #3899.

2005-04-14  Leonard den Ottolander  <leonard * den ottolander nl>

	* syntax/Syntax: Catch Makefiles with capitals in the extension.

2005-04-14  Roland Illig  <roland.illig@gmx.de>

	* doc/mc.1.in (Internal File Viewer): Rewrote some documentation.
	Removed the paragraph about the growing buffers. It's generally
	uninteresting to users.

2005-04-13  Roland Illig  <roland.illig@gmx.de>

	* configure.ac: Add -DNDEBUG to CPPFLAGS if the maintainer mode
	is not enabled.

2005-03-19  Pavel Roskin  <proski@gnu.org>

	* acinclude.m4 (MC_WITH_SLANG): Partly restore original order of
	checks and add a comment with a warning.
	From Pavel S. Shirshov <me@pavelsh.pp.ru>

	* acinclude.m4 (MC_WITH_SLANG): Reorder checks.  Move termcap
	checks ...
	(MC_SLANG_TERMCAP): ... here.
	(MC_SLANG_PRIVATE): Check if private functions are available.
	It's not the case on Debian unstable.

2005-03-19  Pavel S. Shirshov  <me@pavelsh.pp.ru>

	* syntax/idl.syntax: Add syntax file for the CORBA idl.
	From Ian Zagorskih <ianzag@megasignal.com>
	* syntax/lua.syntax: Add syntax file for the LUA programming language.
	From Mike Gorchak  <mike@malva.ua>
	* syntax/Syntax: Add syntax file for CORBA idl and lua.
	* syntax/Makefile.am: Likewise.
	* mc.qpg.in: Likewise.
	* NEWS: Likewise.

2005-03-19  Pavel Roskin  <proski@gnu.org>

	* acinclude.m4 (MC_WITH_SLANG): Define HAVE_SYSTEM_SLANG after
	all fallbacks so it shows whether we are using system S-Lang.
	* configure.ac: Remove USE_INCLUDED_SLANG, since it's now fully
	dependent on HAVE_SLANG and HAVE_SYSTEM_SLANG.
	* src/myslang.h: Likewise.

2005-03-18  Mike Gorchak  <mike@malva.ua>

	* syntax/assembler.syntax: Add syntax file for the x86 assembler.
	* syntax/povray.syntax: Add syntax file for the POVRay.
	* syntax/Syntax: Add syntax file for x86 assembler and POVRay.
	* syntax/Makefile.am: Likewise.
	* mc.qpg.in: Likewise.
	* NEWS: Likewise.

2005-03-14  Leonard den Ottolander  <leonard * den ottolander nl>

	* syntax/diff.syntax: Changed default color from gray, which was
	quite unreadable, to a bright yellow.

2005-03-10  Roland Illig  <roland.illig@gmx.de>

	* autogen.sh: Made the gettext version check more portable. The
	actual sed command is unchanged.

2005-02-26  Miguel de Icaza  <miguel@novell.com>

	* doc/mc.1.in: Replace M-char with Alt-char everywhere, which is
	simpler to understand.

2005-01-29  Miguel de Icaza  <miguel@novell.com>

	* configure.ac: Check for getgrouplist API call.

2005-02-07  Roland Illig  <roland.illig@gmx.de>

	* NEWS: Added the changes between mc-4.6.1-pre3 and now.

2005-01-27  Roland Illig  <roland.illig@gmx.de>

	* configure.ac: Add checks for C headers <sys/mkdev.h> and
	<sys/sysmacros.h> to support major/minor arithmetics on
	device numbers.

2005-01-11  Pavel S. Shirshov  <me@pavelsh.pp.ru>

	* acinclude.m4: Fix '--with-screen' configure option.

2004-12-30  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* autogen.sh: Fix workaround for automake 1.5.

2004-12-28  Leonard den Ottolander  <leonard * den ottolander nl>

	* syntax/spec.syntax: Set whole on spec macro option keywords.

2004-12-13  Pavel S. Shirshov  <me@pavelsh.pp.ru>

	* acinclude.m4: Fix "make distcheck".

2004-12-12  Pavel S. Shirshov  <me@pavelsh.pp.ru>

	* NEWS: Update.

2004-12-10  Pavel S. Shirshov  <me@pavelsh.pp.ru>

	* autogen.sh: Comment workaround for Automake 1.5. It's not working
	for Automake 1.9.

2004-12-07  Roland Illig  <roland.illig@gmx.de>

	* syntax/Makefile.am: Don't install syntax highlighting files if
	the internal editor is disabled.

2004-12-03  Pavel S. Shirshov  <me@pavelsh.pp.ru>

	* configure.ac: Bump version to 4.6.1a

2004-11-17  Pavel S. Shirshov  <me@pavelsh.pp.ru>

	* acinclude.m4: Fix compiling mc with system slang on FreeBSD.

2004-11-16  Roland Illig  <roland.illig@gmx.de>

	* TODO: Checked the remaining vfs/extfs shell scripts and
	removed them from the TODO list. This was the last item
	in the section "Before 4.6.1", so I deleted the whole
	section.

2004-11-08  Pavel S. Shirshov  <me@pavelsh.pp.ru>

	* TODO (4.6.2): Fix the '#' in path names issue.

2004-11-07  Roland Illig  <roland.illig@gmx.de>

	* TODO (4.6.1): Moved the '#' in path names issue to 4.6.2.
	* TODO: Added issue about hiding passwords in VFS pathnames.

2004-11-05  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* README: Fix typo.

2004-11-04  Mike Gorchak  <mike@malva.ua>

	* mc.qpg.in: Synchronization with the latest file has been added
	to the distro.
	* configure.ac: Added information about status of charset enabling.
	* syntax/Syntax: Treat QNX6 specific files with extensions qpg and
	qpg.in as xml files.

2004-11-02  Roland Illig  <roland.illig@gmx.de>

	* configure.ac: Add feature test whether socklen_t is defined
	in <sys/socket.h>.

2004-10-28  Jindrich Novy  <jnovy@redhat.com>

	* lib/mc.ext.in: Add a few sound formats that "play" and "mikmod"
	utility knows.

2004-10-27  Roland Illig  <roland.illig@gmx.de>

	* configure.ac: Add check for type socklen_t.

2004-10-27  Juan C. Olivares  <juancri@juancri.com>

	* syntax/aspx.syntax: Add syntax file for ASP.NET.
	* syntax/Syntax: Likewise.
	* syntax/Makefile.am: Likewise.

2004-10-27  Pavel S. Shirshov  <me@pavelsh.pp.ru>

	* TODO: Move entry 'Broken pipe warning...' to 4.6.2 TODO list.
	Remove entries for perl extfs scripts.

2004-10-24  Roland Illig  <roland.illig@gmx.de>

	* configure.ac: Only add "-Wall" to CFLAGS if GCC is set to "yes".

2004-10-23  Roland Illig  <roland.illig@gmx.de>

	* TODO: Check proper quoting in vfs/extfs/*.

2004-10-20  Pavel S. Shirshov  <me@pavelsh.pp.ru>

	* lib/mc.ext.in: Use xmms for audio files in XWindows mode.
	Add support for *.wma files. Add support for playlists.

	Partially based on patch from q# <eth0@o2.pl>

2004-10-18  Roland Illig  <roland.illig@gmx.de>

	* TODO: Some new TODO items with low priority: More standard
	widgets, CVS frontend, patch editor, context menus.

2004-10-16  Roland Illig  <roland.illig@gmx.de>

	* TODO: Fixed the "./ files in tar archive" item for mc-4.6.1.

2004-10-16  Roland Illig  <roland.illig@gmx.de>

	* syntax/eiffel.syntax: Add syntax highlighting rules for the
	Eiffel programming language.
	* syntax/Syntax: Bind *.e with eiffel.syntax.
	* syntax/Makefile.am: Added syntax.eiffel.

	From Daniel F Moisset <dmoisset grulic org ar>

2004-10-12  Pavel S. Shirshov  <me@pavelsh.pp.ru>

	* syntax/sql.syntax: Improve sql.syntax file and added several
	keywords.

	From Karel Zak

2004-10-12  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* acinclude.m4 (MC_WITH_MCSLANG): Set screen_type to mcslang.
	* configure.ac: Define USE_INCLUDED_SLANG if screen_type is mcslang.

2004-10-05  Gergely Sza'sz  <szaszg@hu.inter.net>

	* syntax/perl.syntax: Fix highlight the hashes.
	* syntax/diff.syntax: Highlight comments (lines begin with #),
	and garbage in diff files.

2004-09-17  Dmitry Alexeyev  <dmi_a@qnx.org.ru>

	* mc.qpg.in: New file. Description for QNX 6.x packager.

2004-09-25  Roland Illig  <roland.illig@gmx.de>

	* configure.ac: #define _GNU_SOURCE to an empty value instead of 1,
	which conflicted with src/regex.c.

2004-09-24  Roland Illig  <roland.illig@gmx.de>

	* HACKING (Programming tips): Added a tip concerning the NULL
	pointer in varargs function calls.

2004-09-22  Roland Illig  <roland.illig@gmx.de>

	* HACKING: Added advice for using g_strdup for a modifiable
	copy of a string.
	* HACKING: Added a section about where to look for bug reports
	and patches.

2004-09-19  Roland Illig  <roland.illig@gmx.de>

	* HACKING: Added explanation for const_cast.

2004-09-17  Dmitry Alexeyev  <dmi_a@qnx.org.ru>

	* syntax/makefile.syntax: Adds "define" and "ended" keywords
	* syntax/perl.syntax: Adds "break" keyword

2004-09-10  Jakub Jelinek  <jakub@redhat.com>

	* lib/mc.lib: Add gnome, rxvt and xterm-new terminals.

2004-09-10  Pavel S. Shirshov  <me@pavelsh.pp.ru>

	* syntax/php.syntax: Upgrade php.syntax file.

	From Leonard den Ottolander <leonard * den.ottolander.nl>

2004-09-04  Jakub Jelinek  <jakub@redhat.com>

	* configure.ac: grantpt is only available with -D_XOPEN_SOURCE
	or -D_GNU_SOURCE under Linux.

2004-09-04  Pavel S. Shirshov  <me@pavelsh.pp.ru>

	* HACKING: Add to section "Programming Tips" g_free tip.

2004-09-02  Roland Illig  <roland.illig@gmx.de>

	* HACKING: Added a section "Programming Tips" which lists mistakes
	that have been done once and should never be repeated.

2004-08-29  Roland Illig  <roland.illig@gmx.de>

	* m4/ri-gcc-warnings.m4: Now handles only the last --enable or
	--disable option. Before, --disable has not been handled
	correctly.

2004-08-22  Pavel S. Shirshov  <me@pavelsh.pp.ru>

	* m4/ri-gcc-warnings.m4: Using AC_HELP_STRING for more portable.
	AS_HELP_STRING was introduced after autoconf 2.57+.

	From Leonard den Ottolander <leonard * den.ottolander.nl>

2004-08-18  Roland Illig  <roland.illig@gmx.de>

	* "make uninstall": removes the symlinks bin/mcedit and bin/mcview.

2004-08-17  Roland Illig  <roland.illig@gmx.de>

	* configure.ac: The GCC warning flags are only used in
	maintainer-mode.

2004-08-17  Pavel S. Shirshov  <me@pavelsh.pp.ru>

	* lib/cedit.menu: Security fix patch. Fix insecure temporary file and
	directory creations. (CAN-2004-0231).

	* lib/mc.menu: Likewise.
	* doc/mc.1.in: Likewise.
	* doc/es/mc.1.in: Likewise.
	* doc/hu/mc.1.in: Likewise.
	* doc/it/mc.1.in: Likewise.
	* doc/pl/mc.1.in: Likewise.
	* doc/ru/mc.1.in: Likewise.
	* doc/sr/mc.1.in: Likewise.

2004-08-09  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* configure.ac: Add check for atoll().

	* doc/mc.1.in (Extension File Edit): Document "directory" keyword.
	* doc/ru/mc.1.in: Likewise.

2004-08-02  Pavel Shirshov  <me@pavelsh.pp.ru>

	* autogen.sh: Fix unportable "\n" in sed.

2004-04-02  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Use gqview instead of ee for images.  ee seems
	to be obsolete.  Suggested by Marcel Pol <mpol@gmx.net>

2004-01-22  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Recognize *.tb2 and *.tbz files.

	* configure.in: Rename to ...
	* configure.ac: ... this.

2003-12-30  David Martin  <dmartina@excite.com>

	* doc/mc.1.in: Synchronized latest fixes (long options) and
	moved year and version number.

2003-12-24  Pavel Roskin  <proski@gnu.org>

	* configure.in: Release 4.6.1-pre1.

2003-11-28  Pavel Roskin  <proski@gnu.org>

	* acinclude.m4 (MC_UNDELFS_CHECKS): Try ext2fs/ext2_fs.h before
	linux/ext2_fs.h.  Use ext2fs/ext2_fs.h when possible - it's
	safer to avoid kernel headers.

2003-11-27  Pavel Roskin  <proski@gnu.org>

	* src/TODO: Move ...
	* TODO: ... here.
	* doc/DEVEL: Move ...
	* HACKING: ... here.  Adjust makefiles.

2003-11-20  Pavel Roskin  <proski@gnu.org>

	* build-glib1.sh: Use more portable syntax for functions.  Fall
	back to "ftp" for download, useful on BSD.
	* build-glib2.sh: Likewise.

	* build-glib1.sh: New file - download and compile glib 1.2.x,
	then compile mc against it.
	* build-glib2.sh: New file - download and compile glib 2.x with
	dependencies (gettext, pkgconfig), then compile mc against it.
	* Makefile.am: Distribute them.

2003-10-29  Pavel Roskin  <proski@gnu.org>

	* acinclude.m4 (MC_UNDELFS_CHECKS): Don't use internal Autoconf
	variables.

	* configure.in: Rewrite check for mmap() to avoid using internal
	variables of Autoconf.  Rename the rest of ac_cv_* to mc_cv_*.

	* configure.in: Use AC_CHECK_MEMBERS to check fields of struct
	stat.  Adjust all dependencies.

	* acinclude.m4 (AC_STRUCT_LINGER): Remove, use AC_CHECK_MEMBERS
	instead.

	* configure.in: Define SLANG_POSIX_SIGNALS if all 4 required
	functions are present.  Remove references to extraconf.h.
	* extraconf.h: Eliminate.
	* Makefile.am: Remove extraconf.h.

	* configure.in: Move ext2fs undelete support ...
	* acinclude.m4 (MC_WITH_VFS): ... here.
	* extraconf.h: Remove VFS logic, it's enforced in configure now.

	* acinclude.m4 (MC_WITH_VFS): Use AC_SEARCH_LIBS when possible.
	Allow disabling network code by --disable-netcode.

2003-10-28  Pavel Roskin  <proski@gnu.org>

	* configure.in: Don't check if "file" can use stdin - it's
	unused now.

2003-10-25  Pavel Roskin  <proski@gnu.org>

	* extraconf.h: Don't define HAVE_GRANTPT forcedly if grantpt()
	wasn't found.  Don't define HAVE_CRYPT, it's unused now.

	* configure.in: Remove check for socketpair().  Add new option
	--enable-background.
	* extraconf.h: Don't define WITH_BACKGROUND.

2003-10-14  Pavel Roskin  <proski@gnu.org>

	* configure.in: Don't check for seekdir() and telldir().

2003-09-23  Pavel Roskin  <proski@gnu.org>

	* doc/sr/Makefile.am: Don't install mcserv documentation if mcfs
	support is disabled.

	* lib/*.ti: Remove, these files are obsolete.
	* lib/tdiff: Likewise.
	* lib/xterm.tcap: Likewise.
	* lib/Makefile.am: Remove obsolete files.  Don't install
	README.xterm and xterm.ad, there are partly obsolete and can
	break things if used as is.

2003-09-22  Strahinya Radich  <mr99164@alas.matf.bg.ac.yu>

	* lib/mc.hint.sr: Updated.
	* lib/mc.menu.sr: New file - translated menu.
	* lib/Makefile.am: Add mc.menu.sr.
	* doc/sr/: New Serbian documentation.
	* doc/Makefile.am: Add "sr" directory.
	* configure.in: Add substitutions for new files.

2003-09-22  Pavel Roskin  <proski@gnu.org>

	* configure.in: Check for strlcpy() if glib 1.2.x is used.

2003-09-11  Strahinya Radich  <mr99164@alas.matf.bg.ac.yu>

	* lib/mc.hint.sr: New file - Serbian hints.

2003-09-04  Pavel Roskin  <proski@gnu.org>

	* lib/mc.menu: Add entry for viewing manual pages.

2003-08-18  Pavel Roskin  <proski@gnu.org>

	* lib/mc-wrapper.csh.in: Use "id" command to find the real user
	id.  $USER is not reliable.
	* lib/mc-wrapper.sh.in: Likewise.
	Reported by Figura Peter <peterf@autus.sk>

2003-08-18  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* acinclude.m4 (MC_WITH_NCURSES): Fix ESCDELAY check on Solaris.
	Make sure that linking succeeds.

2003-08-02  Pavel Roskin  <proski@gnu.org>

	* lib/cedit.menu: Avoid using "id -u", it doesn't work on
	Solaris.  From Andrew V. Samoilov <sav@bcs.zp.ua>

2003-07-23  Pavel Roskin  <proski@gnu.org>

	* lib/mc.lib: Add more "end" and "home" sequences for xterm.

2003-07-22  Pavel Roskin  <proski@gnu.org>

	Get rid of all references to NATIVE_WIN32.

	* pc: Remove.  No work has been done on the PC post for years.
	* README.PC: Likewise.
	* Makefile.am: Adjust for the above.
	* configure.in: Likewise.

2003-07-21  Pavel Roskin  <proski@gnu.org>

	* configure.in: Check posix_openpt() first and fallback to
	GNU-specific getpt() only if needed.

2003-06-29  David Sterba  <dave@jikos.cz>

	* lib/mc.hint.cs: Typo fixes.

2003-06-25  Marco Ciampa  <ciampix@libero.it>

	* doc/it/mc.1.in: small fix

2003-06-23  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* lib/mc.ext: Allow ZIP in all capitals in "file" output.

2003-06-18  Pavel Roskin  <proski@gnu.org>

	* configure.in: Remove test for SCO UNIX.  Remove all references
	to SCO_FLAVOR everywhere.  SCO flavor is rather unsavory now.

2003-06-06  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Don't run compressed logs from /var/log through
	nroff.  Suggested by Alfie Costa <agcosta@gmx.net>

2003-05-16  Marco Ciampa  <ciampix@libero.it>

	* syntax/ruby.syntax: upgrade
	* syntax/perl.syntax: small fix

2003-05-14  Marco Ciampa  <ciampix@libero.it>

	* syntax/ruby.syntax: New file - syntax for Ruby.
	* syntax/Syntax: Add ruby.syntax.
	* syntax/Makefile.am: Likewise.

2003-05-08  Pavel Roskin  <proski@gnu.org>

	* mc.spec.in: Strip pre-1998 changelog to work around a bug in
	rpm 4.2, which doesn't like %install inside %changelog.

2003-04-29  Pavel Roskin  <proski@gnu.org>

	* configure.in: Add vfs/extfs/iso9660 to AC_CONFIG_FILES.
	* lib/mc.ext.in: Add support for ISO images.

2003-03-31  Dmitry Alexeyev  <dmi_a@qnx.org.ru>

	* syntax/Syntax: Highlight *.mc as a makefile.
	* syntax/sql.syntax: Add more keywords for PostgreSQL.

2003-03-21  Pavel Roskin  <proski@gnu.org>

	* syntax/sh.syntax: Highlight "find".  Highlight whole string
	after "#!".  Make unrecognized text inside `` less bright.

2003-03-17  Marco Ciampa  <ciampix@libero.it>

	* doc/it/mc.1.in: Some manual fixes.

2003-03-14  Pavel Roskin  <proski@gnu.org>

	* syntax/c.syntax: Allow integer specifiers for %x and %X in C
	format strings.
	* syntax/cs.syntax: Likewise.
	* syntax/java.syntax: Likewise.
	* syntax/ml.syntax: Likewise.
	* syntax/php.syntax: Likewise.
	* syntax/python.syntax: Likewise.
	* syntax/slang.syntax: Likewise.
	* syntax/swig.syntax: Likewise.

2003-03-11  Pavel Roskin  <proski@gnu.org>

	* acinclude.m4 (MC_ASM_LABELS): New macro to work around a bug
	gettext.  Define _INTL_REDIRECT_MACROS if needed.
	* configure.in: Use MC_ASM_LABELS.

2003-03-07  Pavel Roskin  <proski@gnu.org>

	* configure.in: Add --with-glib-static option.

2003-03-06  Pavel Roskin  <proski@gnu.org>

	* syntax/spec.syntax: Add BuildArch.

2003-03-05  Pavel Roskin  <proski@gnu.org>

	* configure.in: Check availability of setsid().

2003-03-04  Sanlig Badral  <Badral@chinggis.com>

	* po/LINGUAS: added Mongolian (mn) translation.

2003-03-03  Pavel Roskin  <proski@gnu.org>

	* lib/mc.lib: Add xterm arrows both for application and normal
	mode.  Normal mode can be accidentally enabled if one mc is run
	from another and Ctrl-O is used to switch between them.
	Add F11-F20 definitions for cons25 (FreeBSD console).

2003-02-27  Juan C. Olivares  <juancri@TAGnet.org>

	* syntax/cs.syntax: New file.
	* syntax/Syntax: Add cs.syntax.
	* syntax/Makefile.am: Likewise.

2003-02-27  Marco Ciampa  <ciampix@libero.it>

	* doc/it/mc.1.in: updated manual with -e switch description.

2003-02-26  Pavel Roskin  <proski@gnu.org>

	* syntax/syntax.syntax: Highlight "define".

2003-02-23  Marco Ciampa  <ciampix@libero.it>

	* doc/it/mc.1.in: updated manual with some stylistic changes.

2003-02-23  Dmitry Alexeyev  <dmi_a@qnx.org.ru>

	* lib/mc.ext.in: Add entry for QNX Neutrino packages.

2003-02-22  Pavel Tsekov  <ptsekov@gmx.net>

	* acinclude.m4 [AC_G_MODULE_SUPPORTED]: New macro.
	* configure.in: Test for gmodule.  Don't link mc with libX11 if
	gmodule is supported.

2003-02-22  Pavel Roskin  <proski@gnu.org>

	* configure.in: Add --with-glib12 option to configure to force
	using glib 1.2.x.

2003-02-21  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* doc/ru/mc.1.in (Layout): Translate 'Xterm window title' option.
	(Extension File Edit): Translate include feature.

2003-02-20  Pavel Roskin  <proski@gnu.org>

	* configure.in: Move list of all translations ...
	* po/LINGUAS: ... here.

2003-02-18  Pavel Roskin  <proski@gnu.org>

	* syntax/c.syntax: Highlight C++ comments in preprocessor
	directives.
	Reported by Oswald Buddenhagen <ossi@kde.org>

2003-02-13  Marco Ciampa  <ciampix@libero.it>

	* doc/it/mc.1.in: updated manual following it.po changes.

2003-02-05  Pavel Roskin  <proski@gnu.org>

	* configure.in: Bump version to 4.6.0a.

	* configure.in: Version 4.6.0 released.

2003-02-04  Arpi  <arpi@mplayerhq.hu>

	* syntax/Syntax: Match *.syntax before other files to fix
	highlighting of makefile.syntax.

2003-02-04  Pavel Roskin  <proski@gnu.org>

	* syntax/c.syntax: Revert highlighting trailing whitespaces.

2003-02-03  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* autogen.sh: Fix unportable "+" sed regexp in gettext_ver
	calculation.  Reported by vlad@geekizoid.com.

2003-01-31  Pavel Roskin  <proski@gnu.org>

	* syntax/nroff.syntax: Make colors more compatible with the
	highlighting used in the internal viewer - yellow for bold and
	brightred for italic.

2003-01-31  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* syntax/c.syntax: Highlight trailing whitespace(s).

2003-01-30  Pavel Tsekov  <ptsekov@gmx.net>

	* acinclude.m4 (MC_WITH_NCURSES): Check -lcurses if -lncurses
	doesn't work.  Useful on OpenBSD 3.2.

2003-01-29  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Fix missing semicolon that affected viewing RPM
	packages.

2003-01-24  Pavel Roskin  <proski@gnu.org>

	* configure.in: Add -lposix on A/UX before all tests.

2003-01-23  Pavel Roskin  <proski@gnu.org>

	* acinclude.m4 (MC_EXTFS_CHECKS): Fix redirection to /dev/null.

2003-01-22  Pavel Roskin  <proski@gnu.org>

	* configure.in: Bump version to 4.6.0-pre3a.

	* configure.in: Version 4.6.0-pre3 released.

	* acinclude.m4 (_MC_WITH_XSLANG): Drop support for old S-Lang
	versions that required the native curses library on some OSes.

2003-01-19  Adam Byrtek  <alpha@debian.org>

	* doc/mcview.1.in: New file.
	* configure.in: Treat it like doc/mcedit.1.in.
	* doc/Makefile.am: Likewise.

2003-01-17  Adam Byrtek  <alpha@debian.org>

	* doc/mc.1.in (Layout): Document 'Xterm window title' option.

2003-01-16  David Martin  <dmartina@excite.com>

	* doc/mc.1.in: Add EXTernal virtual File System node (extfs).

2003-01-16  David Martin  <dmartina@excite.com>

	* doc/mc.1.in: Set man page header and footer.
	* doc/es/mc.1.in: Likewise.
	* doc/hu/mc.1.in: Likewise.
	* doc/it/mc.1.in: Likewise.
	* doc/pl/mc.1.in: Likewise.
	* doc/ru/mc.1.in: Likewise.

2003-01-12  David Martin  <dmartina@excite.com>

	* po/es.po: Update. Rewrite localized names for some menu entries.
	* doc/es/mc.1.in: Likewise.
	* lib/mc.hint.es: Likewise.

2002-12-27  David Martin  <dmartina@excite.com>

	* doc/pl/xnc.hlp: Update GPL (change FSF address and move 19xx
	entries to "year").

2002-12-26  Pavel Roskin  <proski@gnu.org>

	* configure.in: Release 4.6.0-pre2, bump version to 4.6.0-pre2a.

	* configure.in: Fix non-portable operator.  Bump version to
	4.6.0-pre2.

2002-12-24  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Use --nosignature with rpm to avoid a message
	in the viewer about unsigned packages.

	* acinclude.m4 (MC_WITH_SLANG): Don't add -lslang to MCLIBS if
	the system S-Lang is rejected.

	* lib/mc.ext.in: Play *.mov by mplayer.

2002-12-23  Pavel Roskin  <proski@gnu.org>

	* configure.in: Enable X11 support by default, use --without-x
	to disable.

2002-12-19  Pavel Roskin  <proski@gnu.org>

	* syntax/perl.syntax: Add separate context for function
	declarations and definitions, highlight prototypes.

2002-12-11  Pavel Roskin  <proski@gnu.org>

	* acinclude.m4 (MC_EXTFS_CHECKS): Add check for Perl.
	* configure.in: Substitute Perl location in all extfs scripts
	written in Perl.

2002-12-11  David Martin  <dmartina@excite.com>

	* doc/xnc.hlp: Update GPL (change FSF address
	and move 19xx entries to "year").
	* doc/es/xnc.hlp: Likewise.
	* doc/hu/xnc.hlp: Likewise.
	* doc/it/xnc.hlp: Likewise.
	* doc/ru/xnc.hlp: Likewise.

2002-12-09  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Remove ftplist.  Add patchfs.

2002-11-29  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* autogen.sh: Use $srcdir/configure.mc instead of
	$srcdir/configure if first one exists and is executable.

2002-11-28  Pavel Roskin  <proski@gnu.org>

	* configure.in: Determine which help translations user wants to
	install, based on USE_NLS, LINGUAS and ALL_LINGUAS.
	* doc/Makefile.am: Set SUBDIR to the list of the requested
	translations.

	* acinclude.m4 (MC_EXTFS_CHECKS): New macro.
	(MC_WITH_VFS): Call MC_EXTFS_CHECKS.
	* configure.in: Generate vfs/extfs/uzip.
	* vfs/extfs/uzip: Move to vfs/extfs/uzip.in.
	* vfs/extfs/Makefile.am: Corresponding adjustments.

2002-11-26  Pavel Roskin  <proski@gnu.org>

	* syntax/sql.syntax: Add highlighting for dot and backticks.

2002-11-16  Pavel Roskin  <proski@gnu.org>

	* configure.in: Move check for pwdauth() to MC_MCSERVER_CHECKS.
	* acinclude.m4 (MC_MCSERVER_CHECKS): If using crypt(), check for
	shadow password support.

	* acinclude.m4 (MC_MCSERVER_CHECKS): Don't limit PAM check to
	Linux.  Use AC_SEARCH_LIBS to find crypt().  Consolidate mcserv
	libraries into MCSERVLIBS.

	* configure.in: Move all mcserv related checks ...
	* acinclude.m4 (MC_MCSERVER_CHECKS): ... here.

2002-11-15  Pavel Roskin  <proski@gnu.org>

	* configure.in: Fully enable glib2.  Update the documentation.

2002-11-14  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* lib/mc.menu: Don't use --repetitive-best option with bzip2 -
	it is redundant in versions 0.9.5 and above.

2002-11-10  Pavel Roskin  <proski@gnu.org>

	* configure.in: Check for uintptr_t.  Needed to compile regex.c
	on MacOS X.  Reported by Wim Rijnders <wimrijnders@home.nl>

2002-11-07  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* syntax/ada95.syntax: Highlight "then" and "else".
	From Victor Porton <porton@ex-code.com>.
	Highlight "exit".

2002-11-06  Pavel Roskin  <proski@gnu.org>

	* lib/edit.indent.rc: Remove all options for indent and add a
	comment explaining where those options should be.

2002-11-05  Pavel Roskin  <proski@gnu.org>

	* lib/mc-wrapper.csh.in: Remove /bin/csh at the beginning - this
	script is not meant to be executed by the kernel.  This also
	eliminates dependency of the RPM package on csh.
	* lib/mc-wrapper.sh.in: Remove /bin/sh at the beginning.

2002-11-01  Pavel Roskin  <proski@gnu.org>

	* configure.in: Don't substitute mc.sh and mc.csh - it's now
	done ...
	* lib/Makefile.am: ... here.  Add wrappers for mc to avoid
	defining complex shell scripts in functions and aliases.
	* lib/mc-wrapper.csh.in: New file - template for the script
	that runs mc and changes directory in csh.
	* lib/mc-wrapper.sh.in: New file - template for the script
	that runs mc and changes directory in sh.

2002-11-01  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* doc/mc.1.in (Keys): Document S-<chr>.
	* doc/ru/mc.1.in: Likewise.

2002-10-31  Pavel Roskin  <proski@gnu.org>

	* syntax/diff.syntax: Revert highlighting for trailing spaces
	on the added lines - it extends the context to the next line.

	* lib/mc.csh.in: Add quoting and check for missing file.

	* lib/mc.csh.in: Update to use the new -P option.  This script
	has absolutely no protection against special symbols in
	directory names and lacks TMPDIR support.

	* lib/mc.sh.in: Update to use the new -P option.

	* configure.in: Displaying the install paths is too problematic
	to implement properly.  Remove this code.

2002-10-29  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Rename TROFFASCII to MAN_FLAGS.
	* configure.in: Likewise.  Add "-c" (disable ANSI color) to
	MAN_FLAGS if supported.

	* acinclude.m4 (MC_WITH_SLANG): Reject S-Lang with UTF-8
	support, unless external S-Lang was explicitly requested.

2002-10-24  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Don't use links to view html - the "-dump"
	option has been removed in the recent versions.
	From David Martin <dmartina@excite.com>

2002-10-21  Pavel Roskin  <proski@gnu.org>

	* acinclude.m4 (MC_WITH_VFS): cpiofs and extfs were never added
	to the final configuration message.

2002-10-17  Pavel Roskin  <proski@gnu.org>

	* doc/hu/Makefile.am: Generate Hungarian help file from the
	manual, just like other languages.
	* doc/hu/mc.1.in: New file, converted from the help file.
	* doc/hu/xnc.hlp: Likewise.
	* configure.in: Adjust for the above.

	* doc/mc.1.in: Add node names.  Remove redundant paragraph
	breaks at the start and the end of the sections.  Mention
	"stalelink" as color keyword.

2002-10-14  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Don't use "-dump" option with "links".
	From David Martin <dmartina@excite.com>

2002-10-13  Pavel Roskin  <proski@gnu.org>

	* lib/mc.hint*: Remove all references to "-1" - hints file is no
	substitute to unambiguous GUI.
	From Christian Laubscher <christian.laubscher@tiscalinet.ch>

2002-10-12  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Redirect stderr from "links" to suppress a
	warning if it's not found.

2002-10-09  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* doc/mc.1.in (SMB File System): Username is allowed in
	URLs now (/#smb:[user@]machine).
	* doc/ru/mc.1.in: Likewise.

2002-10-08  Pavel Roskin  <proski@gnu.org>

	* configure.in: Rename RH_VERSION to RPM_VERSION - not every
	rpm-based system is Red Hat.  Replace all dashes, not just one.

	* acinclude.m4 (MC_WITH_MCSLANG): Check for terminfo and use
	termcap if terminfo is missing in the known locations.
	* configure.in: Remove --with-termcap processing, it is now in
	acinclude.m4.

2002-10-02  Pavel Roskin  <proski@gnu.org>

	* syntax/syntax.syntax: Fix highlighting for "gray".

2002-10-01  Pavel Roskin  <proski@gnu.org>

	* configure.in: Expand $bindir and $datadir to show at the end.
	Reported by Nerijus Baliunas <nerijus@users.sourceforge.net>

2002-09-29  Pavel Roskin  <proski@gnu.org>

	* configure.in: Remove the argument from --with-gpm-mouse.  The
	directories for include files and libraries can be specified
	using LDFLAGS and CPPFLAGS, as documented in the output of
	"configure --help".

	* configure.in: Complete rewrite of the screen library support.
	Add new option --with-screen instead on --with-slang,
	--with-included-slang and --with-ncurses.  Only allow
	--with-termcap is using the included S-Lang library.
	* aclocal.m4: Corresponding changes.

	* syntax/mail.syntax: Replace "wholechars right" and "wholechars
	left" with single "wholechars".
	* syntax/nroff.syntax: Likewise.
	* syntax/sh.syntax: Likewise.
	* syntax/tcl.syntax: Likewise.

	* syntax/*.syntax: Remove numeric Cooledit colors.  It's
	unreasonable to require them to be correct.  On the other hand,
	Cooledit can easily be changed to accept named color names.

	* syntax/syntax.syntax: Don't require Cooledit colors for
	highlighting color names.  Remove Cooledit colors.

	* syntax/m4.syntax: Don't use yellow color on parentheses, since
	it interferes with parentheses highlighting.  Remove list of
	supported Autoconf macros.

2002-09-26  Pavel Roskin  <proski@gnu.org>

	* syntax/syntax.syntax: Remove highlighting for numbers - it's
	for Cooledit only.

	* syntax/c.syntax: Require at least one space at the beginning
	of indented cpp directives.  Use brightmagenta for them.

	* syntax/syntax.syntax: Don't start keywords with "\[" - it
	doesn't work.  Use "\[\]" at the end of keywords to suppress
	their special meaning.

2002-09-22  Pavel Roskin  <proski@gnu.org>

	* doc/Makefile.am: Remove width from the man2hlp command line.
	The same for translations.

	* configure.in: Remove support for HSC proxy - it's obsolete.
	Remove all references to HSC proxy everywhere.

2002-09-21  Pavel Roskin  <proski@gnu.org>

	* configure.in: Bump version to 4.6.0-pre1b.

	* doc/hu/mc.hlp.hu: Rename to ...
	* doc/hu/mc.hlp.hu.in: ... this.  Adjust paths.
	* configure.in: Substitute doc/hu/mc.hlp.hu.
	* doc/hu/Makefile.am: Don't distribute mc.hlp.hu.

	* doc/mc.1.in: Update path to the data files.  Rename MC_LIBDIR
	to MC_DATADIR.  Make the same changes in the translations.

	* */Makefile.am: Replace mclibdir with pkgdatadir to use "share"
	directory for architecture-independent files.

2002-09-19  Pavel Roskin  <proski@gnu.org>

	* syntax/m4.syntax: New file.
	* syntax/Syntax: Add m4.syntax.
	* syntax/Makefile.am: Likewise.
	From Vlad Romanenko <VladRomanenko@ukr.net>

	* syntax/sql.syntax: Only recognize non-standard MySQL comments
	at the beginning of line.

2002-09-19  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* syntax/syntax.syntax: Add "linestart" for "context",
	"context default" and "context exclusive" keywords.
	* syntax/c.syntax: Fix "%s" highlighting for "%-19s"
	and "%5.5s" formats.

2002-09-18  Pavel Roskin  <proski@gnu.org>

	* syntax/Syntax: Remove gobledy_gook at the beginning.  Move
	rules for syntax files ...
	* syntax/syntax.syntax: ... here.  Add "linestart" for "file"
	and "include" keywords.
	* syntax/Makefile.am: Add syntax.syntax.

2002-09-17  Vlad Romanenko  <VladRomanenko@ukr.net>

	* syntax/js.syntax: Advanced number highlighting.

2002-09-17  Pavel Roskin  <proski@gnu.org>

	* syntax/c.syntax: Highlight "?" by the same color as ":".
	* syntax/java.syntax: Likewise.
	* syntax/swig.syntax: Likewise.
	* syntax/python.syntax: Remove duplicate keyword ":".

	* Makefile.am: Add m4 to SUBDIRS.  Set ACLOCAL_AMFLAGS so that
	m4 directory is used by aclocal.
	* m4/Makefile.am: New file.
	* configure.in: Substitute m4/Makefile.
	* autogen.sh: Don't copy any macro files, use m4 directory.

	* syntax/Makefile.am: Add js.syntax.

	* configure.in: Add support for glib 2.x.  Right now, it has to
	be explicitly enabled by `--with-glib2'.
	From Ali Akcaagac <ali.akcaagac@stud.fh-wilhelmshaven.de>

2002-09-16  Pavel Roskin  <proski@gnu.org>

	* syntax/js.syntax: New file.
	* syntax/Syntax: Add js.syntax.
	From Vlad Romanenko <VladRomanenko@ukr.net>

2002-09-16  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* doc/pl/Makefile.am: Use $(top_srcdir)/doc/xnc.hlp instead
	of local xnc.hlp
	* doc/pl/xnc.hlp: Removed.

2002-09-13  Pavel Roskin  <proski@gnu.org>

	* configure.in: Add AM_GNU_GETTEXT_VERSION for autopoint.
	Remove "potfiles" command.
	* acinclude.m4: Add empty AM_GNU_GETTEXT_VERSION definition for
	compatibility with gettext 0.10.x.

	* autogen.sh: Use autopoint for gettext 0.11.5 and above.  Don't
	allow gettext versions from 0.10.40 to 0.11.5 (not inclusive).

	* po/Makevars: New file for compatibility with gettext 0.11.x.

	* configure.in: Remove "Debugger code" message.

	* acinclude.m4: Replace undelfs_o with use_undelfs.
	* configure.in: Likewise.  Don't substitute it.

	* configure.in: Simplify processing of without-edit.  Replace
	several variables with use_edit.
	* acinclude.m4: Remove AC_WITH_EDIT.

	* acinclude.m4: Replace smbfs and SAMBAFILES variables with
	use_smbfs.
	* configure.in: Likewise.
	* INSTALL: Document --with-samba.

	* configure.in: Roll --enable-mcserv-install into ...
	* acinclude.m4: ... --with-mcfs.  Adjust makefiles.
	* INSTALL: Document --with-mcfs.

2002-09-12  Pavel Roskin  <proski@gnu.org>

	* configure.in: Don't check if crypt() prototype is needed to
	avoid warnings - the whole code is not worth avoiding one
	legitimate warning.
	* acinclude.m4: Remove AC_TRY_WARNINGS.

	* configure.in: ALL_LINGUAS should be defined unconditionally.

	* acinclude.m4: Clarify some help texts, add defaults in square
	brackets, use more consistent spacing.
	* configure.in: Likewise.

	* lib/mc.menu: Don't call tarballs "releases".  Don't
	dereference symlinks.

2002-09-10  Pavel Roskin  <proski@gnu.org>

	Globally replace OS2_NT and _OS_NT with WIN32_NATIVE.

2002-09-07  Pavel Roskin  <proski@gnu.org>

	* configure.in: Eliminate --with-terminfo option, which was
	essentially equivalent to --with-included-slang and didn't force
	anything.
	* acinclude.m4 (AC_USE_TERMINFO): Remove.
	* INSTALL: Adjust to match.
	* FAQ: Likewise.

2002-09-05  Pavel Roskin  <proski@gnu.org>

	* configure.in: Fix USE_VFS_NET conditional.  Don't substitute
	NETFILES - it's unused.

	* configure.in: Check for arpa/inet.h.

	* mcfn_install: Remove.  Also remove all references to it.
	* INSTALL.FAST: Update information about ncurses.
	From Dmitry Semyonov <Dmitry.Semyonov@oktet.ru>

	* acinclude.m4 (AC_USE_TERMCAP): Add -ltermcap to MCLIBS, not
	LIBS.
	* configure.in: Eliminate MCCFLAGS, use CPPFLAGS instead.  Add
	"-L" options to LDFLAGS, not to LIBS or MCLIBS - this should fix
	test for ncurses in non-standard directories.

2002-09-04  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Remove edit rules for compressed files that
	were compressing even unchanged files - the editor itself can
	handle compression better.

2002-09-03  Pavel Roskin  <proski@gnu.org>

	* acinclude.m4: Remove Termnet support, it's too old and obscure
	to be supported properly.

2002-08-27  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Add new OpenOffice.org formats.  Always use
	OpenOffice.org, not StarOffice.  Add more video formats.

	* lib/mc.ext.in: Use gzip instead of gunzip and compress.  Avoid
	unnecessary pipeline.  Redirect stderr from cpio, because it can
	be non-empty even for successful operations.

2002-08-26  Pavel Roskin  <proski@gnu.org>

	* syntax/spec.syntax: New file.
	* syntax/Syntax: Add spec.syntax.
	* syntax/Makefile.am: Likewise.
	From PLD Linux Distribution with minor changes.

2002-08-25  Pavel Roskin  <proski@gnu.org>

	* lib/mcserv.init: Update from Red Hat package.
	* lib/mcserv.pamd: Likewise.

	* configure.in: Fix interpretation of the iconv test result.
	Reported by Pavel Shirshov <me@pavelsh.pp.ru>

	* mc.sh.in: Only bash needs the mc() function to be exported.

	* doc/pl/mc.1.in: Add node names and options.  Use @prefix@
	instead of /usr where appropriate.
	* doc/Makefile.am: Enable generation of the help file.

	* doc/pl/*: Add Polish translation.
	* doc/Makefile.am: Adjust for the above.
	* configure.in: Likewise.

2002-08-24  Pavel Roskin  <proski@gnu.org>

	* lib/edit.indent.rc: Use tidy to format HTML.
	From David Martin <dmartina@excite.com>

	* lib/cedit.menu: Remove all references to the error file.
	* lib/edit.indent.rc: Likewise.
	* lib/edit.spell.rc: Likewise.

2002-08-23  Pavel Roskin  <proski@gnu.org>

	* configure.in: Make GLIB_LIBS a separate AC_SUBST'ed variable,
	use only for the programs that need it (mc and mcserv).

	* configure.in: Fix help text for gpm and ncurses.  Properly
	handle --without-ncurses.
	Reported by Moritz Barsnick <moritz@barsnick.net>

	* configure.in: Work around a bug in Autoconf-2.53 that prevents
	splitting of user-specified path in AC_PATH_PROGS.

	* configure.in: Move glib test earlier, as it tends to fail for
	many users.  Make GLIB_CONFIG a precious variable.  Check for
	glib12-config - that's how it's called on FreeBSD.
	Reported by Pavel Shirshov <me@pavelsh.pp.ru>

2002-08-22  Pavel Roskin  <proski@gnu.org>

	* configure.in: Remove old-style Linux-only support for shadow
	passwords.

2002-08-21  Pavel Roskin  <proski@gnu.org>

	* configure.in: Restore AM_INIT_AUTOMAKE with two arguments for
	now, otherwise Automake 1.5 breaks.  Remove version number from
	AC_INIT, the version from AM_INIT_AUTOMAKE takes preference.
	Substitute RH_VERSION, which is VERSION without dashes, needed
	for RedHat specfile.

	* configure.in: Bump version to 4.6.0-pre1a.  Don't use
	arguments in AM_INIT_AUTOMAKE to avoid defining the version in
	two places.

	Release mc-4.6.0-pre1.

	* configure.in: Bump version to 4.6.0-pre1.
	* po/*.po: Regenerate.

2002-08-20  David Martin  <dmartina@excite.com>

	* doc/es/mc.1.in: Minor changes.
	* doc/es/xnc.hlp: Likewise.

2002-08-20  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* mc.spec.in: Add /usr/lib/mc/mc.charsets and
	%{_mandir}/*/man1/*.

2002-08-20  Pavel Roskin  <proski@gnu.org>

	* doc/it/mc.1.in (Controlling Midnight Commander): Remove.

2002-08-19  Pavel Roskin  <proski@gnu.org>

	* configure.in: Add Italian documentation.
	* doc/Makefile.am: Likewise.

	* acinclude.m4 (MC_WITH_VFS): Disable mcfs by default.

	* configure.in: Enable subshell support on all operating systems
	by default.  Old issues are most likely solved by now.

2002-08-18  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Try links before lynx.  Force full path when
	invoking X11 browsers - it breaks VFS, but VFS support in mc.ext
	is already broken if the program starts in background.  Add a
	comment discouraging taking this code as example.

	* doc/mc.1.in (Controlling Midnight Commander): Remove, it's
	obsolete.
	* doc/es/mc.1.in: Likewise.
	* doc/ru/mc.1.in: Likewise.
	* doc/hu/mc.hlp.hu: Likewise.

	* lib/mc.menu: Remove all references to $MC_CONTROL_FILE, which
	was unsafe by design and is no longer supported.  Use %t instead
	of %u to preserve tags in case of failure.

	* vfs/extfs/ftplist.in: Remove support for running commands, it
	makes no sense.

2002-08-16  Pavel Roskin  <proski@gnu.org>

	* lib/mc.global: Remove, it duplicates the role of mc.lib.
	* lib/mc.lib: Add contents of mc.global.
	* lib/Makefile.am: Remove all references to mc.global.

	* syntax/sh.syntax: Fix highlighting of "<<-EOF".
	Reported by Andrew V. Samoilov <sav@bcs.zp.ua>

2002-08-16  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* syntax/sh.syntax: Highlight alias, bg, eval, exec, export, fg,
	set, umask and unset like other builtin commands.

2002-08-15  Pavel Roskin  <proski@gnu.org>

	* configure.in: Remove check for SIGTSTP, it's not needed for
	the subshell support.

	* acinclude.m4 (AC_SHORT_D_NAME_LEN): Remove, this test is now
	done at runtime.
	* configure.in: Don't use AC_SHORT_D_NAME_LEN.

2002-08-14  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* doc/ru/mc.1.in: Remove reference to README.edit.
	* doc/mc.1.in: Likewise.
	* doc/hu/mc.hlp.hu: Likewise. Remove /var/tmp/mc-4.5.46-buildroot
	everywhere.

2002-08-14  Pavel Roskin  <proski@gnu.org>

	* doc/mc.1.in: Consistently use "native" ftp syntax.
	* doc/ru/mc.1.in: Likewise.
	* doc/es/mc.1.in: Update from David Martin <dmartina@excite.com>
	* doc/es/xnc.hlp: Likewise.

	* lib/mc.hlp.hu: Move ...
	* doc/hu/mc.hlp.hu: ... here.  Make all necessary adjustments.

2002-08-09  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Remove all unrecognized actions (e.g. Extract)
	and entries that are obsolete or make no sense.

	* doc/xnc.hlp: Add translatable titles for topics "QueryBox" and
	"How to use help".

	* doc/Makefile.am: Don't distribute help file.  Generate it in
	the build directory.
	* doc/es/Makefile.am: Likewise.
	* doc/ru/Makefile.am: Likewise.

	* lib/xnc.hlp: Move ...
	* doc/xnc.hlp: ... here.
	* doc/Makefile.am: Necessary adjustments.
	* lib/Makefile.am: Likewise.
	* src/Makefile.am: Likewise.

	* configure.in: Add Spanish documentation.
	* doc/Makefile.am: Likewise.
	* doc/es: Spanish documentation.
	From David Martin <dmartina@excite.com>

2002-08-08  Pavel Roskin  <proski@gnu.org>

	* lib/mc.lib: Add f11-f20 keys for Konsole.

2002-08-06  Pavel Roskin  <proski@gnu.org>

	* syntax/lisp.syntax: New file.
	* syntax/Syntax: Add lisp.syntax.
	* syntax/Makefile.am: Likewise.
	From Mykolas Juraitis <juramyko@soften.ktu.lt> with minor
	changes.

2002-08-04  Pavel Roskin  <proski@gnu.org>

	* configure.in: Check for SIGTSTP and SIGCONT signals.  Disable
	subshell if this test fails.

2002-08-03  Pavel Roskin  <proski@gnu.org>

	* syntax/mail.syntax: Colors changed to be more readable.

	* syntax/html.syntax: Don't require character entities to be
	whole, but check their validity.

2002-08-02  Pavel Roskin  <proski@gnu.org>

	* configure.in: No longer need to define REGEX_MALLOC.

2002-08-01  Pavel Roskin  <proski@gnu.org>

	* configure.in: Remove support for MAD and Electric Fence.
	Developers should use modern memory debuggers (e.g. Valgrind).
	* INSTALL: Remove references to MAD.

2002-07-31  Pavel Roskin  <proski@gnu.org>

	* syntax/html.syntax: Remove recognition for any individual
	words - there are too many of them, we cannot keep up.

2002-07-30  Pavel Roskin  <proski@gnu.org>

	* doc/ru/Makefile.am: Use man2hlp directly.

2002-07-28  Pavel Roskin  <proski@gnu.org>

	* syntax/changelog.syntax: Highlight "*" only after tab.  This
	requires fixed syntax highlighting.

	* lib/mc.ext.in: Open *.doc and *.rtf files with abiword by
	default. Open *.xls with gnumeric.  Use mplayer for most video
	formats.

	* syntax/nroff.syntax: Require most keywords to be whole.

2002-07-21  Pavel Roskin  <proski@gnu.org>

	* syntax/fortran.syntax: Fix highlighting of "*" at the
	beginning of line.  Recognize "     +" as continuation.  Move
	all "linestart" keywords earlier to avoid more conflicts.

2002-07-18  Pavel Roskin  <proski@gnu.org>

	* syntax/unknown.syntax: Don't highlight anything by default.

	* syntax/changelog.syntax: Highlight functions without
	filenames.
	* syntax/Syntax: Match *ChangeLog*.

	* syntax/c.syntax: Reenable highlighting for "/" and preserve
	highlighting for "//" comments by using exclusive context.
	* syntax/java.syntax: Likewise.
	* syntax/swig.syntax: Likewise.
	* syntax/slang.syntax: Reenable highlighting for "/".
	* syntax/sql.syntax: Enable highlighting for "/" and "-".

	* syntax/sql.syntax: New file.
	* syntax/Syntax: Add sql.syntax.
	* syntax/Makefile.am: Likewise.
	From Walery Studennikov <despair@sama.ru> with minor changes.

2002-07-16  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Remove handling of executables.  They should
	be handled internally for "pause after run" to work.

	* syntax/Syntax: Associate *.itcl with tcl.syntax.
	* syntax/tcl.syntax: Add itcl keywords, other improvements.

2002-07-15  Pavel Roskin  <proski@gnu.org>

	* configure.in: Don't check for strcasecmp(), strncasecmp() and
	strdup() - test results are not used except in gettext, which
	provides its own tests.

	* configure.in: When checking for ncurses, check for
	has_colors(), not curses_version() - the later is missing in
	older version of ncurses.

2002-07-13  Pavel Roskin  <proski@gnu.org>

	* acinclude.m4 (AC_EXT2_UNDEL): Add ext2fs libraries to MC_LIBS,
	not to LIBS.
	* configure.in: Fix breakage in ncurses headers check from the
	previous commit.  Simplify other instances of AC_CHECK_HEADERS.
	Define REGEX_MALLOC here.

	* acinclude.m4 (AC_NCURSES): Remove.
	* configure.in: Use AC_CHECK_HEADERS to find ncurses headers and
	AC_CHECK_LIB to check existence of ncurses library.  Eliminate
	variables force_ncurses and search_ncurses.

2002-07-10  Pavel Roskin  <proski@gnu.org>

	* configure.in: Remove --with-netrc, it is now default and can
	be disabled at the runtime.

	* syntax/tcl.syntax: New file.
	* syntax/Syntax: Add tcl.syntax.
	* syntax/Makefile.am: Likewise.
	* syntax/java.syntax: Don't treat #define separately from other
	preprocessor directives.
	* syntax/slang.syntax: Likewise.
	* syntax/swig.syntax: Likewise.

2002-07-09  Pavel Roskin  <proski@gnu.org>

	* syntax/c.syntax: Don't treat #define separately from other
	preprocessor directives.

2002-07-08  Pavel Roskin  <proski@gnu.org>

	* syntax/perl.syntax: Highlight text after __END__ as a comment.
	* syntax/po.syntax: Avoid gray color, which is hard to see.

2002-07-05  Pavel Roskin  <proski@gnu.org>

	* syntax/dos.syntax: Add more commands.

2002-07-04  Pavel Roskin  <proski@gnu.org>

	* AUTHORS: Add Andrew V. Samoilov <kai@cmail.ru>, alphabetically
	sort authors.

2002-06-24  Pavel Roskin  <proski@gnu.org>

	* syntax/dos.syntax: New file - highlighting for DOS batch
	files.  From Petr Kozelka <pkozelka@centrum.cz>
	* syntax/Syntax: Add dos.syntax.
	* syntax/Makefile.am: Likewise.

2002-06-04  Max Schedriviy  <max@humgat.org>

	* syntax/php.syntax: New version.

2002-05-23  Andrew V. Samoilov  <kai@cmail.ru>

	* NEWS: Mention ftpfs/fish uploading changes and new configure
	options --with-codepagedir=DIR, --with-configdir=DIR and
	--without-mcfs.

2002-05-22  Pavel Roskin  <proski@gnu.org>

	* doc/ru/Makefile.am: Fix out-of-tree build.

2002-05-14  Pavel Roskin  <proski@gnu.org>

	* configure.in: Fix logic for gettext 0.10.x.

2002-05-14  Andrew V. Samoilov  <kai@cmail.ru>

	* configure.in: Don't generate po/Makefile if
	there is 'top_builddir' in po/Makefile.in.
	* autogen.sh: More fixes for gettext 0.11+.

2002-05-08  Andrew V. Samoilov  <kai@cmail.ru>

	* configure.in (ALL_LINGUAS): Added "be" for Belarusian.

2002-04-21  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Add support for *.rmi files - latest TiMidity++
	can play them.

2002-04-09  Andrew V. Samoilov  <kai@cmail.ru>

	* autogen.sh: Fix for gettext 0.11 family (and newer).

2002-04-08  Pavel Roskin  <proski@gnu.org>

	* autogen.sh: Allow gettext newer than 0.10.39.
	From Björn Eriksson <bjorn@bjornen.nu>

2002-04-03  Pavel Roskin  <proski@gnu.org>

	* doc/ru/Makefile.am: Distribute mc.ru.hlp and don't remove it
	by "make clean" because not everyone has Perl to rebuild it.

2002-03-27  Andrew V. Samoilov  <kai@cmail.ru>

	* syntax/Syntax: Replace ^Syntax$ with [Ss]yntax$ and add
	first line regular expression.

2002-03-26  Andrew V. Samoilov  <kai@cmail.ru>

	* configure.in: Define USE_INCLUDED_REGEX if GNU C library 2.1
	or newer is not used.
	* acinclude.m4: New option --with-mcfs and macro WITH_MCFS.

	* src/Makefile.am: Move mc.hlp.ru processing ...
	* doc/ru/Makefile.am: ... here.

2002-03-21  Andrew V. Samoilov  <kai@cmail.ru>

	* syntax/Syntax: Match ^Syntax$ for Syntax Highlighting.
	* syntax/c.syntax: Highlight "%p" printf format.
	Allow '*' as width and precision for strings and numbers.

	* doc/mc.1.in: Fix smbfs example.  Minor format fixes.
	* doc/ru/mc.1.in: Likewise.

2002-03-18  Pavel Roskin  <proski@gnu.org>

	* doc/ru/Makefile.am: Distribute xnc.hlp.

2002-03-12  Pavel Roskin  <proski@gnu.org>

	* doc/Makefile.am: Adjust for doc/ru/Makefile.am.

2002-03-12  Andrew V. Samoilov  <kai@cmail.ru>

	* configure.in (AC_CONFIG_FILES): Add doc/ru/Makefile.am.
	* doc/ru/Makefile.am: New file.

2002-03-08  Pavel Roskin  <proski@gnu.org>

	* doc/Makefile.am (EXTRA_DIST): Distribute doc/ru/mc.1.

2002-03-04  Andrew V. Samoilov  <kai@cmail.ru>

	* configure.in (AC_CONFIG_FILES): Add doc/ru/mc.1.

2002-03-01  Andrew V. Samoilov  <kai@cmail.ru>

	* doc/mc.1.in: Use nodename `Background jobs' for section
	`Background Jobs' to reflect user visible Command menu option
	and src/cmd.c dialog implementation.

	* doc/ru: New directory for Russian manuals.
	* doc/ru/mc.1.in: Translated mc.1 manual page.  Originally
	translated by Victor A. Kostromin for mc 4.5.30.  Converted
	from binary mc.hlp.ru, corrected and actualized by me.
	* doc/ru/xnc.hlp: Translated lib/xnc.hlp.  See above.
	* doc/ru/.cvsignore: Ignore mc.1.

2002-02-27  Andrew V. Samoilov  <kai@cmail.ru>

	* doc/mc.1.in (Macro Substitution): Document "%var{ENV-default}".
	(FILES): Document changes in mc behavior. ~/.mc/ini now overrides
	mc.lib settings.

	(Virtual File System): Document SMB File System.

2002-02-26  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Run "file" before "nm" to avoid an error
	message "no symbol found" for unsupported architectures and
	provide more useful information.

2002-02-22  Pavel Roskin  <proski@gnu.org>

	* README.smbfs: Remove.  It contained no useful information
	and the webpage is now dead.
	* Makefile.am: Remove README.smbfs.

	* README: Mention that glib 1.2.x is required.

2002-02-21  Andrew V. Samoilov  <kai@cmail.ru>

	* lib/edit.indent.rc: Use "#! /bin/sh"
	* lib/edit.spell.rc: Likewise.
	* lib/mcserv.init: Likewise.

	* lib/cedit.menu: Eliminate bashisms.
	Add missed `:' in AUTHOR evaluation.
	Unset LANGUAGE and make LC_ALL empty.
	Use "#! /path/to/program".

2002-02-20  Andrew V. Samoilov  <kai@cmail.ru>

	* doc/mc.1.in (FILES): Use ~/.mc/bindings instead of
	~/.mc/ext, ~/.mc/ini instead of ~/.mc.ini.
	Fix tarfs URL syntax example.  Minor typo and format fixes.

2002-02-14  Andrew V. Samoilov  <kai@cmail.ru>

	* doc/mc.1.in (FILES): Use MC_LIBDIR instead of MCHOME.
	Fix location of configuration files.

2002-02-05  Pavel Roskin  <proski@gnu.org>

	* configure.in: Don't use defunct ncurses_version.
	Reported by Thomas Dickey <dickey@herndon4.his.com>
	Set force_ncurses whenever --with-ncurses is used.  If set,
	suppress checks for S-Lang and fail is ncurses is not found.

	* configure.in: Introduce a new variable screen_type that is
	either "slang" or "ncurses" without additional text.  Use it
	instead of screen_manager whenever possible.  Fix text in
	AC_NCURSES call, use m4 quotes and move shell quotes into the
	macro.
	* acinclude.m4: Likewise.

2002-01-28  Petr Kozelka  <pkozelka@email.cz>

	* syntax/Syntax: Known Delphi/Kylix source file extensions
	supported (*.dpr, *.inc).
	* syntax/pascal.syntax: Many new (Delphi/Kylix) keywords added.
	Special highlighting for CVS keywords.  Understands single-line
	comments (//).

2002-01-24  Alexander Shopov  <al_shopov@web.bg>

	* configure.in (ALL_LINGUAS): Added "bg"

2002-01-21  Pavel Roskin  <proski@gnu.org>

	* NEWS: Mention word completion in the editor.

2002-01-17  Pavel Roskin  <proski@gnu.org>

	* extraconf.h: Remove OS/2 specific code.

	* doc/mc.1.in (Configuration): Clarify some entries.

2002-01-11  Andrew V. Samoilov  <kai@cmail.ru>

	* acinclude.m4: New options for smbfs:
	--with-configdir=DIR    Where the Samba configuration files are (/etc)
	--with-codepagedir=DIR  Where the Samba codepage files are

2002-01-11  Pavel Roskin  <proski@gnu.org>

	* syntax/xml.syntax: New file - highlighting for XML.
	From Petr Kozelka <pkozelka@centrum.cz>
	* syntax/Syntax: Add xml.syntax.
	* syntax/Makefile.am: Likewise.

2002-01-04  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added "eu" to ALL_LINGUAS.

2002-01-03  Pavel Roskin  <proski@gnu.org>

	* lib/mc.menu: Correct quoting.
	Reported by Matthias Urban <murban@cs.uni-magdeburg.de>

	* NEWS: Mention removal of the OS/2 port.
	* README.PC: Remove OS/2 specific parts.

2002-01-02  Pavel Roskin  <proski@gnu.org>

	* configure.in: Make help about --with-subshell easier to
	understand.  Minor alignment fixes for the help.
	* acinclude.m4: Minor alignment fixes for the help.

2001-12-31  Pavel Roskin  <proski@gnu.org>

	* configure.in: Generate vfs/Makefile from vfs/Makefile.in, not
	from vfs/Make-mc.in.

2001-12-27  Duarte Loreto  <happyguy_pt@hotmail.com>

	* configure.in: Added Portuguese to ALL_LINGUAS

2001-12-21  Pavel Roskin  <proski@gnu.org>

	* acinclude.m4 (AC_WITH_SLANG): Don't add ../slang to includes.
	Don't remove slang/slang.h - it's never created.

	* acinclude.m4 (AC_WITH_SLANG): Don't make symlink from
	slang-mc.h to slang.h.  Remove fastdepslang variable, it's
	unused.

2001-12-01  Wang Jian  <lark@linux.net.cn>

	* configure.in(ALL_LINGUAS): Renamed zh_CN.GB2312 to zh_CN.

2001-11-29  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Use "type" to recognize zip and lha archives.

2001-11-27  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: When running X programs in background, do it
	from subshell.  Otherwise some of them terminate when mc exits.
	Reported by Christian Dysthe <christian@dysthe.net>
	Remove some obsolete and gmc-specific entries.  Use StarOffice
	to open files detected as "Microsoft Office Document".

	* lib/mc.lib: Support "Home" and "End" sequences in xterm from
	XFree86 4.1.0.

2001-11-16  Andrew V. Samoilov  <kai@cmail.ru>

	* doc/mcedit.1.in: Fix help file location.

2001-11-14  Pavel Roskin  <proski@gnu.org>

	* acinclude.m4 (MC_UNDELFS_CHECKS): Check for ext2_ino_t,
	fallback to ino_t for e2fsprogs version 1.19 and older.

2001-10-30  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Add support for Netpbm files.

2001-10-25  Andrew V. Samoilov  <kai@cmail.ru>

	* slang/slvideo.c (SLtt_set_color): Eliminate C++ comments.
	http://bugzilla.gnome.org/show_bug.cgi?id=60935
	By drk@sgi.com.

	* doc/mc.1.in: Document %p macro.

2001-10-24  Pavel Roskin  <proski@gnu.org>

	* configure.in: Move AC_FUNC_MMAP before it's used indirectly.
	Allow using --without-mmap.
	* INSTALL: Document --without-mmap.

2001-10-24  Andrew V. Samoilov  <kai@cmail.ru>

	* configure.in: Resurrect ALL_LINGUAS test, to allow specify list
	of languages to be installed by setting env variable before
	configure. If it is empty, it defaults to full list.
	By Alex Tkachenko <alex@bcs.zp.ua>.

2001-10-19  Pavel Roskin  <proski@gnu.org>

	* syntax/sh.syntax: Highlight reserved words inside backticks.
	Use the same wholechars settings for reserved words and
	commands.  Recognize more words.  Recognize function definitions
	without "function" or without "()".  Use brightmagenta instead
	of brightblue.

2001-10-18  Pavel Roskin  <proski@gnu.org>

	* configure.in: When checking for "nroff -mandoc" support, don't
	use /dev/null as input file, use stdin.  Some versions of nroff
	(e.g. groff-1.16.1) don't accept special files.

2001-10-14  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Treat Makefile.PL as a Perl program, not as a
	Makefile.  Don't allow any suffixes after "Makefile".

2001-10-12  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Add support for *.xcf files (native GIMP
	format).

2001-10-06  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* lib/mc.menu: Use "case" instead of non-portable "egrep -q".
	Fix compress<->bzip2 conversion and conversion of tagged
	archives.

2001-10-05  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Use ogginfo to view *.ogg files.
	Suggested by Marcel Pol <mpol@gmx.net>

	* lib/mc.ext.in: Use xmms to play *.mp3 under X.  When viewing
	*.mp3, use "verbose" option to mpg123.  Add support for *.ogg
	and *.mid files.

2001-09-30  Pavel Roskin  <proski@gnu.org>

	* configure.in: Don't check whether grep supports stdin - it's
	not used anymore.
	* NEWS: Mention this change.

2001-09-19  Pavel Roskin  <proski@gnu.org>

	* doc/mcedit.1.in: Fix a very long line - use double
	backslashes since they are interpreted even in the .nf blocks.

	* lib/edit.spell.rc: Try aspell before resorting to ispell.

	* syntax/php.syntax: Replace with a better implementation by
	Max Schedriviy <max@tavrida.net>

2001-09-15  Pavel Roskin  <proski@gnu.org>

	* doc/mc.1.in: Fix location of mcedit files.
	* doc/mcedit.1.in: Likewise.  Remove obsolete technical details.

2001-09-14  Pavel Roskin  <proski@gnu.org>

	* configure.in: Don't check for ncurses version and for keyok()
	because the mouse support code doesn't need this hack anymore.

2001-09-13  Pavel Roskin  <proski@gnu.org>

	* configure.in: Fix some cases of overquoting and underquoting.
	* acinclude.m4: Likewise.

2001-09-12  Pavel Roskin  <proski@gnu.org>

	* configure.in: Update list of browsers.  Don't fallback to
	lynx since it cannot be run in background.
	* lib/mc.ext.in: Redirect output of X11 browsers to /dev/null.
	If no browser for X11 was found, use lynx.

	* autogen.sh: Add a workaround to ensure that "depcomp" is
	distributed.
	* configure.in: Replace obsolete macros.  Use AC_MSG_NOTICE
	where appropriate.
	* acinclude.m4: Likewise.  Fix check whether S-Lang uses
	terminfo.

	* configure.in: Use three-argument form of AC_INIT.  Use
	AC_CONFIG_AUX_DIR.  Remove some unused or implied macros.
	* Makefile.am (EXTRA_DIST): Remove "depcomp" - this workaround
	is not needed if AC_CONFIG_AUX_DIR is used.
	* vfs/Make-mc.in: Adjust mkinstalldirs location.
	* autogen.sh: Create "config" and remove "autom4te.cache".

2001-09-11  Pavel Roskin  <proski@gnu.org>

	* syntax/Syntax: New file, extracted from edit/syntax.c.
	* syntax/Makefile.am: Add Syntax.

	* configure.in: Add -lcurses (for use with S-Lang) to MCLIBS not
	to LIBS.  Don't use unportable "grep -q", use "case" instead.

2001-09-10  Pavel Roskin  <proski@gnu.org>

	* configure.in: Only check for X if --with-tm-x-support has been
	specified.

	* configure.in: Add check for sys/ioctl.h.

	* configure.in: Use AC_FUNC_STRCOLL instead of generic test.

	* acinclude.m4: Put -lncurses to MCLIBS, not LIBS.
	* configure.in: Likewise.  Add MCLIBS to LIBS temporarily when
	testing for functions in ncurses.

	* acinclude.m4: Provide descriptions in all AC_DEFINE macros.
	* configure.in: Likewise.  Use AH_BOTTOM to include extraconf.h.
	* acconfig.h: Remove.

	* configure.in: Eliminate LIBSLANG and LSLANG.
	* acinclude.m4: Likewise.  Use MCLIBS for -lslang.

	* configure.in: Use MCLIBS for -lgpm.  Remove LGPM.  Check for
	resizeterm() and keyok() only if configuring with ncurses.

	* configure.in: Remove now unused variables LIBVFS and LVFS.

	* configure.in: Remove unused variables LINTL and INTLDEPS.

	* configure.in: Add -I\$(top_builddir)/intl to CPPFLAGS when
	building with included gettext, because libintl.h is copied
	there.

2001-09-09  Pavel Roskin  <proski@gnu.org>

	* NEWS: Update.

	* configure.in: Remove a hack for Unixware.  AC_FUNC_GETMNTENT
	checks -lgen for getmntent as of Autoconf 2.52.

2001-09-07  Pavel Roskin  <proski@gnu.org>

	* configure.in: Check for pwd.h.

	* Make.common.in: Remove.
	* configure.in: Remove all references to Make.common.in and
	MCCPPFLAGS.
	* aclocal.m4: Likewise.

	* configure.in: Require Autoconf 2.52.  Remove hacks for
	Autoconf 2.13.
	* Makefile.am: Require Automake 1.5.

2001-09-06  Pavel Roskin  <proski@gnu.org>

	* syntax/php.syntax: New file - PHP file highlighting.  Copied
	from Cooledit 3.17.4.
	* syntax/Makefile.am: Add php.syntax.

2001-09-06  Timur Bakeyev  <mc@bat.ru>

	* acconfig.h: Brought back couple of symbols, that are still necessary
	due reference to them from configure.in.

2001-09-04  Pavel Roskin  <proski@gnu.org>

	* syntax/changelog.syntax: Fix highlighting of functions.  Relax
	strictness for dates.

	* doc/mc.1.in: Fix troff warnings.
	* doc/mcedit.1.in: Likewise.

2001-09-03  Pavel Roskin  <proski@gnu.org>

	* doc/mc.1.in: Spellcheck.
	* doc/mcedit.1.in: Likewise.
	* doc/mcserv.8.in: Likewise.

	* doc/mc.1.in (Learn Keys): Complete rewrite.

2001-09-02  Pavel Roskin  <proski@gnu.org>

	* acconfig.h: Remove all unused symbols.

	* lib/ncurses.h: Remove.
	* lib/Makefile.am: Remove ncurses.h.

2001-09-02  Abel Cheung  <maddog@linux.org.hk>

	* configure.in (ALL_LINGUAS): zh_TW.Big5 -> zh_TW

2001-08-28  Pavel Roskin  <proski@gnu.org>

	* syntax/sh.syntax:  Require two '<' before EOF.  Recognize END
	like EOF.

2001-08-26  Pavel Roskin  <proski@gnu.org>

	* configure.in: New conditionals USE_VFS_NET, USE_UNDEL_FS and
	CONS_SAVER.  Put all conditionals together.

	* Makefile.am (EXTRA_DIST): Add depcomp to work around a bug in
	Automake 1.5.

	* configure.in: Remove XCURSES variable - it's unused.

	* configure.in: New conditional USE_EDIT.

	* syntax/changelog.syntax: Don't require '@' to be in the
	address.  This also works around a bug in the syntax engine
	that prevented highlighting of addresses.

2001-08-25  Pavel Roskin  <proski@gnu.org>

	* configure.in: New conditionals USE_VFS and INCLUDED_SLANG.

2001-08-24  Pavel Roskin  <proski@gnu.org>

	* extraconf.h: Remove all references to HAVE_X.
	* acinclude.m4: s/GNOME_/MC_/
	* configure.in: Likewise.  Remove or clarify all references to
	the "text edition".  Minor fixes.

	* configure.in: Remove support for curses libraries other than
	ncurses.
	* acinclude.m4: Likewise.
	* FAQ: Remove everything about UNIX curses.
	* INSTALL: Likewise.

	* configure.in: Enable large file support by default.
	* NEWS: Mention it.
	* INSTALL: Document it.  Minor fixes.

	* FAQ: Remove information about GNOME edition.  Minor fixes.
	* README: Likewise.
	* NEWS: Mention removing the GNOME edition.

	* acinclude.m4: Include all used macros from the macros
	directory.
	* autogen.sh: Remove all references to "macros".
	* Makefile.am: Likewise.

	* configure.in: Remove all GNOME stuff except GNOME_VFS_CHECKS.
	* Makefile.am (SUBDIRS): Remove all GNOME-related directories.

	* lib/startup.links: Remove.
	* lib/README.desktop: Likewise.
	* lib/Makefile.am: Remove all references to DESKTOP_FILES.

	* configure.in: Bump version to 4.5.99a.

	* configure.in: Bump version to 4.5.55.  Release mc-4.5.55.
	* po/*.po: Regenerate.

	* AUTHORS: Update and spell check.
	* FAQ: Likewise.
	* INSTALL: Likewise.
	* INSTALL.FAST: Likewise.
	* NEWS: Likewise.
	* README.PC: Likewise.
	* README.QNX: Likewise.

	* configure.in: Add check for stropts.h.

2001-08-23  Pavel Roskin  <proski@gnu.org>

	* lib/edit.indent.rc: Create cooledit.error right away to
	override its old contents.  Don't use ksh extensions.  Treat *.C
	files as C++.  Recognize more C++ extensions.  Support java.
	Update URL for "astyle".  Quote all arguments to protect spaces.
	* lib/edit.spell.rc: Don't save terminal settings - mc does it
	itself.  Quote all arguments to protect spaces.

2001-08-21  Pavel Roskin  <proski@gnu.org>

	* doc-gnome/C/figs/Makefile.am: Don't install GNOME-specific
	files if GNOME frontend is disabled.
	* idl/Makefile.am: Likewise.
	* lib/Makefile.am: Likewise.
	* new_icons/Makefile.am: Likewise.

	* autogen.sh: Fall back to aclocal without "-I gettext.m4" in
	case it already has gettext macros elsewhere and doesn't like
	duplicates (i.e. it's aclocal from Automake-1.4).

2001-08-20  Pavel Roskin  <proski@gnu.org>

	* AUTHORS: Updated.
	* INSTALL: Likewise.
	* NEWS: Likewise.
	* doc/mc.1.in: Likewise.
	* doc/mcserv.8.in: Likewise.

	* acinclude.m4 (AC_GET_FS_INFO): Specify includes when checking
	for sys/mount.h.

2001-08-19  Andras Timar  <timar@gnome.hu>

	* lib/Makefile.am: Added Hungarian hints
	* lib/mc.hint.hu: by Arpad Biro <biro_arpad@yahoo.com>

2001-08-19  Pavel Roskin  <proski@gnu.org>

	* lib/mc.lib: Add definition for "bs" for xterm and xterm-color.

2001-08-17  Pavel Roskin  <proski@gnu.org>

	* syntax/po.syntax: New file - PO file highlighting.
	From David Martin <dmartina@excite.es>
	* syntax/Makefile.am: Add po.syntax.

	* lib/mc.lib: Add "delete=\e[3~" for xterm and xterm-color -
	it's sometimes missing from the databases.

2001-08-16  Abel Cheung  <maddog@linux.org.hk>

	* lib/mc.hint.zh_TW.Big5 -> lib/mc.hint.zh: Temporary measure.
	* lib/Makefile.am: Reflect above change.

2001-08-15  Pavel Roskin  <proski@gnu.org>

	* doc/mc.1.in (Terminal databases): Recommend using \e, not \E.

2001-08-14  Pavel Roskin  <proski@gnu.org>

	* lib/mc.lib: Add popular sequences for "home" and "end" in
	"xterm" and "xterm-color" terminals.

2001-08-13  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Move ls-lR.gz before generic gzip support.

	Replace "Can't" with "Cannot" everywhere.

2001-08-12  Pavel Roskin  <proski@gnu.org>

	* edit/edit_key_translator.c (cooledit_key_map): Use Ctrl-O for
	subshell, not for "Open file...".
	(emacs_key_map): Likewise.

	* README: Changes from Frederic L. W. Meunier <0@pervalidus.net>

2001-08-10  Pavel Roskin  <proski@gnu.org>

	* Makefile.am (EXTRA_DIST): Remove BUGS.
	* doc/Makefile.am (EXTRA_DIST): Remove LSM and FILES.

	* BUGS: Remove.  Bugzilla.gnome.org doesn't have those bugs.

	* doc/LSM: Remove, it's outdated.
	* doc/FILES: Likewise.
	* doc/DEVEL: Remove information about FILES.

	* FAQ: Eliminate all broken URLs on the MC site.
	From Frederic L. W. Meunier <0@pervalidus.net>

	* FAQ: Restore information about xterm.

2001-08-08  Pavel Roskin  <proski@gnu.org>

	* FAQ: Changes from Frederic L. W. Meunier <0@pervalidus.net>

2001-08-07  Pavel Roskin  <proski@gnu.org>

	* doc/mc.1.in (Internal File Viewer): Document Ctrl-O and F17.

	* doc/mc.1.in: Fix all broken links.

2001-08-06  Pavel Roskin  <proski@gnu.org>

	* INSTALL: Numerous changes.  Declare old curses obsolete.
	Partly from Frederic L. W. Meunier <0@pervalidus.net>

	* doc/mc.1.in (Menu Bar): Add link to the "Options Menu".

2001-08-03  Abel Cheung  <maddog@linux.org.hk>

	* lib/Makefile.am: Remove space after backslash introduced in the
	previous commit.

	* lib/mc.hint.zh_TW.Big5: New file.
	* lib/Makefile.am: Added mc.hint.zh_TW.Big5

2001-08-02  Pavel Roskin  <proski@gnu.org>

	* lib/mc.hint.uk: New file.
	From Maksym Polyakov <polyama@yahoo.com>
	* lib/Makefile.am: Add mc.hint.uk.

2001-08-01  Pavel Roskin  <proski@gnu.org>

	* lib/mc.hint.nl: New file.
	From Steef Boerrigter <sxmboer@sci.kun.nl>
	* lib/Makefile.am: Add mc.hint.nl.
	* lib/mc.hint: Remove ftp site.  Update copyright.
	* lib/mc.hint.cs: Likewise.
	* lib/mc.hint.es: Likewise.
	* lib/mc.hint.it: Likewise.
	* lib/mc.hint.pl: Likewise.
	* lib/mc.hint.ru: Likewise.  Shorten some lines.

	* edit/Makefile.in: Allow running "make install" before "make all".
	* gtkedit/Makefile.in: Likewise.

2001-07-31  Pavel Roskin  <proski@gnu.org>

	* lib/edit.spell.rc: New file.  Invoke ispell on Ctrl-p in the
	editor.
	* lib/Makefile.am: Add lib/edit.spell.rc.

	* autogen.sh: Use gettextize.
	* ABOUT-NLS: Remove from CVS, it's installed by autogen.sh.
	* po/Makefile.in.in: Likewise.

2001-07-29  Pavel Roskin  <proski@gnu.org>

	* syntax/slang.syntax: New file.
	From Walery Studennikov <despair@sama.ru>
	* syntax/Makefile.am: Add slang.syntax.

2001-07-27  Pavel Roskin  <proski@gnu.org>

	* extraconf.h: Move WITH_BACKGROUND here.

2001-07-24  Pavel Roskin  <proski@gnu.org>

	* doc/mc.1.in: Quote all section headers.  Minor formatting fix.

2001-07-23  Pavel Roskin  <proski@gnu.org>

	* doc/mc.1.in: Fix description of mc.lib.  Fix broken links.

2001-07-20  Pavel Roskin  <proski@gnu.org>

	* Make.common.in: Move all defines ...
	* gnome/Makefile.in: ... here ...
	* src/Makefile.in: ... and here.

2001-07-19  Pavel Roskin  <proski@gnu.org>

	* configure.in: Don't check for getwd, it's completely
	eliminated.
	* INSTALL: Remove reference to HAVE_GETWD.

	* lib/mc.ext.in: Fix opening info pages on VFS.  Modernize
	entries for compressed cpio archives.

	* lib/mc.ext.in: Comment changes.  Remove rules for programs -
	they were only used in obsolete frontends.  Don't ever use %view
	without commands - it's slower and loses user settings, e.g.
	hex mode.  Put shared libraries before man pages and read.me
	before .me macros so that they match correctly.  Use nm for
	shared libraries.  Add rules for StarOffice and AbiWord.

2001-07-14  Pavel Roskin  <proski@gnu.org>

	* configure.in: Bump version to 4.5.54a.

2001-07-13  Pavel Roskin  <proski@gnu.org>

	* lib/mcserv.init: Fix exit status.
	http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=44601

	* lib/mc.ext.in: Anchor all regexes in the type/ rules except
	"executable", which should follow a space. Simplify rules for
	images. Add shell/ rule for *.info files. Fix all incorrect
	uses of the alternation operator.
	Reported by Oskar Liljeblad and Michel Casabona.

2001-07-12  Pavel Roskin  <proski@gnu.org>

	* configure.in: Don't check for iconv, it's already checked for
	in AM_GNU_GETTEXT.

2001-07-10  Pavel Roskin  <proski@gnu.org>

	* doc/mc.1.in: Update documentation about hex search.

	* edit/edit_key_translator.c (cooledit_key_map): Bind
	Ctrl-Shift-Up and Ctrl-Shift-Down to scroll with highlight.
	From Steef Boerrigter <sxmboer@sci.kun.nl>

	* edit/Makefile.in: Make edit.o depend on edit_key_translator.c.
	* edit/edit_key_translator.c (cooledit_key_map): Add support
	for bracket matching on Alt-B.
	* gtkedit/gtkeditkey.c: Likewise.
	From Steef Boerrigter <sxmboer@sci.kun.nl>

2001-07-06  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Use nm to view object files.

	* Make.common.in: Remove GNOME-specific and unused definitions.
	Partly moved to gnome/Makefile.in.

	* configure.in: Remove all references to SEDCMD and SEDCMD2 -
	they are usused.
	* Make.common.in: Likewise.

2001-06-29  Pavel Roskin  <proski@gnu.org>

	* ABOUT-NLS: Update to the version from gettext-0.10.38.

	* Make.common.in (XCPPFLAGS): Don't add -I$(top_srcdir) - it's
	now done in configure. Move -I.. to the beginning.
	* Makefile.am (SUBDIRS): Move intl po to the beginning, since
	libintl.a may be required to link mc.
	(ACLOCAL_M4_SOURCES): Remove macros/gnome-gettext.m4.
	* configure.in: Use AM_GNU_GETTEXT instead of AM_GNOME_GETTEXT.
	Move all i18n code to one place. Don't substitute INTLSUB - it's
	unused. Substitute INTLDEPS, since AM_GNU_GETTEXT doesn't do it.
	Remove SCO-specific i18n hacks. Add -I$(top_srcdir) to CPPFLAGS.

2001-06-25  Pavel Roskin  <proski@gnu.org>

	* configure.in: For Autoconf 2.50+, use AC_SYS_LARGEFILE.
	It should be enabled explicitly by giving `--enable-largefile'
	to configure.
	* INSTALL: Document it.

2001-06-22  Pavel Roskin  <proski@gnu.org>

	* extraconf.h: Don't define HAVE_INFOMOUNT_QNX on QNX Neutrino.

	* acinclude.m4 (AC_GET_FS_INFO): Fix checking for f_fstypename
	in struct statfs.
	Reported by Libor Motyèka <libor.motycka@ortex.cz>.

	* acinclude.m4 (AC_GET_FS_INFO): Warn only once that the list of
	mounted filesystems cannot be read. Don't define NO_INFOMOUNT.
	Define HAVE_INFOMOUNT_LIST if a any suitable function has been
	found.
	* extraconf.h: Define HAVE_INFOMOUNT and HAVE_INFOMOUNT_QNX.

2001-06-19  Pavel Roskin  <proski@gnu.org>

	* configure.in: Check for telldir and seekdir. Join adjacent
	calls to AC_CHECK_FUNCS.

2001-06-16  Pavel Roskin  <proski@gnu.org>

	* Makefile.am: Change the order of SUBDIRS to fully compile text
	edition before compiling anything for GNOME.
	* mc.spec.in: Don't use brace expansion to avoid implicit
	build-time dependency on bash.

2001-06-13  Pavel Roskin  <proski@gnu.org>

	* acinclude.m4 (AC_SHORT_D_NAME_LEN): Fix compiler warnings in
	the test code.
	* configure.in: Fix compiler warnings in the arguments to
	AC_TRY_WARNINGS. Fix value of NEED_CRYPT_PROTOTYPE - add spaces
	around `=' in the `test' command.

2001-06-07  Pavel Roskin  <proski@gnu.org>

	* doc-gnome/C/gmc.sgml: Remove index - it's not used in the
	GNOME documentation template.
	* doc-gnome/C/mkhtml: Don't generate index.
	* doc-gnome/C/Makefile.am: Don't distribute genindex.sgml.

2001-06-06  Pavel Roskin  <proski@gnu.org>

	* lib/Makefile.am: Make compatible with Automake 1.4 - remove
	conditional variables from EXTRA_DIST.

2001-06-05  Pavel Roskin  <proski@gnu.org>

	* edit/edit_key_translator.c [HAVE_CHARSET]: Add charset
	conversion support.
	From Walery Studennikov <hqsoftware@mail.ru>.

	* extraconf.h [HAVE_X]: Undefine HAVE_TEXTMODE_X11_SUPPORT.

2001-06-01  Pavel Roskin  <proski@gnu.org>

	* lib/mc.charsets: Synchronize with the latest patch - remove
	a comment.

2001-05-30  Pavel Roskin  <proski@gnu.org>

	* extraconf.h [HAVE_X]: Undefine HAVE_CHARSET - it doesn't
	work with GNOME.

	* lib/mc.charsets: New file. From Walery Studennikov.
	* lib/Makefile.am: Distribute mc.charsets. Install it if
	the charset support is enabled.

	* configure.in: Add check for iconv() and the necessary code
	to support the charset selection patch.

	* configure.in: Add check for ESCDELAY variable in ncurses.

2001-05-29  Pavel Roskin  <proski@gnu.org>

	* extraconf.h [!USE_VFS]: Undefine USE_NETCODE and
	USE_EXT2FSLIB.

	* extraconf.h: Remove unused HAS_DIRECT_COLOR_ACCESS.
	* pc/config.h: Likewise.

	* lib/mc.ext.in: For MS Word documents try "catdoc", "word2x"
	and "strings". Recognize "write" files and MS Word templates.
	For MS Excel documents try "xls2csv" and "strings".
	Escape spaces in the "type" directives.
	From Nerijus Baliunas.

	* Make.common.in: Add -I$(top_srcdir) to XCPPFLAGS.

	* Make.common.in: Remove hpath, it's unused.

	* acconfig.h: Move constant parts ...
	* extraconf.h: ... here.
	[HAVE_X]: Disable subshell, s-lang and curses.
	* Makefile.am: Add extraconf.h.

2001-05-28  Pavel Roskin  <proski@gnu.org>

	* acconfig.h: Remove some useless entries. Eliminate OLD_TOOLS
	and SLANG_H_INSIDE_SLANG_DIR. Move some	descriptions ...
	* configure.in: ... here.

2001-05-27  Pavel Roskin  <proski@gnu.org>

	* configure.in: Remove unused HAVE_PORTABLE_TOKEN_PASTING.
	* acconfig.h: Likewise.
	* src/layout.c: Likewise.

	* Make.common.in: Remove all percent rules.
	* acinclude.m4 (AC_PROG_GNU_MAKE): Remove.
	* configure.in: Remove AC_PROG_GNU_MAKE. Don't substitute
	PCENTRULE. Remove AC_PROG_MAKE_SET - it's called by
	AM_INIT_AUTOMAKE.

	* Make.common.in: Remove obsolete dependency tracking system.
	* configure.in: Likewise.
	* edit/Makefile.in: Likewise.
	* gnome/Makefile.in: Likewise.
	* gtkedit/Makefile.in: Likewise.
	* slang/Makefile.in: Likewise.
	* src/Makefile.in: Likewise.
	* vfs/Make-mc.in: Likewise.
	* src/depend.awk: Remove.

2001-05-26  Pavel Roskin  <proski@gnu.org>

	* gtkedit/syntax.c (syntax_text): Add support for Octave files.
	* syntax/octave.syntax: New file. From Walery Studennikov.
	* syntax/Makefile.am: Add octave.syntax.

	* configure.in: Fix incorrect test for stdin support in grep -
	it would always fail when configuring in an empty directory.
	Portability fixes - unset, backslashed space in here-documents.
	Eliminate all instances of "changequote".

	* configure.in: Define SCO_FLAVOR based on $host_os, not on the
	user choice.
	* acconfig.h: Changes for the above.
	* INSTALL: Don't document --with-sco - it's now defunct.
	* INSTALL.FAST: Likewise.

2001-05-25  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Match both "mail" and "Mail", but only if they
	are in the beginning of the "file" output.

2001-05-23  Pavel Roskin  <proski@gnu.org>

	* lib/mc.ext.in: Add associations for viewing RPM files.

2001-05-22  Pavel Roskin  <proski@gnu.org>

	* doc-gnome/C/mkhtml: Support $JADE. Check that $DSL exists.
	By default exit after the first error in jade.

	* doc-gnome/C/mkhtml: Use jade directly, not jw. Support DSL and
	JADEFLAGS environment variables. Report progress. Clean up on
	failure.

2001-05-21  Pavel Roskin  <proski@gnu.org>

	* doc-gnome/C/Makefile.am: Allow "make install" without *.html
	files.

	* doc-gnome/C/mkhtml: Print a big warning if the script fails.
	* doc-gnome/C/Makefile.am: Ignore exit status of mkhtml.

2001-05-20  Pavel Roskin  <proski@gnu.org>

	* doc-gnome/C/Makefile.am: Distribute mkhtml and genindex.sgml.
	Create figs/*.eps if needed. Simplify rules for gmc.dvi and
	gmc.rtf - DocBook 4.1 doesn't try to write to $(srcdir).
	* doc-gnome/C/figs/Makefile.am: Add support for converting from
	PNG to EPS.

	* Makefile.am (EXTRA_DIST): Remove create_vcs.
	* doc/FILES: Likewise. Typo fix.

2001-05-19  Pavel Roskin  <proski@gnu.org>

	* doc-gnome/C/mkhtml: New file. Create HTML files from gmc.sgml.
	* doc-gnome/C/Makefile.am: Don't handle *.css - there are none
	with DocBook 4.1. Never use `cp' without `-f'. Use mkhtml.

	* doc-gnome/C/gmc.sgml: Use DTD DocBook V4.1. Fix duplicate
	index entry "Moving files".

2001-05-18  Pavel Roskin  <proski@gnu.org>

	* configure.in: Use src/main.c in AC_INIT.

	* create_vcs: Remove.

	* INSTALL: Update download locations for MC, rxvt, gpm, ncurses.
	Add download location for glib.
	* mc.spec.in: Likewise.
	* doc/LSM: Likewise.
	* doc/mc.1.in: Likewise.
	* doc/mcedit.1.in: Likewise.
	* src/ext.c: Don't mention download location for MC.

	* FAQ: Update status of Tk, XView. and GNOME editions. Update
	homepage of gpm.

	* INSTALL: Remove information about Tk and XView. Change the
	mailing list addresses again.
	* FAQ: Change the mailing list addresses again.
	* MAINTAINERS: Likewise.
	* README: Likewise.
	* doc/mc.1.in: Likewise.
	* gnome/gmc-window.c: Likewise.
	* lib/README.xterm: Likewise.
	* lib/mc.ext.in: Likewise.
	* lib/mc.hint*: Likewise.
	* lib/mc.hlp.hu: Likewise.
	* po/*.po: Likewise.
	* src/main.c: Likewise.

2001-04-20  Pavel Roskin  <proski@gnu.org>

	* FAQ: Change the mailing list addresses and the download
	locations.
	* INSTALL: Likewise.
	* MAINTAINERS: Likewise.
	* README: Likewise.
	* doc/mc.1.in: Likewise.
	* gnome/gmc-window.c: Likewise.
	* lib/README.xterm: Likewise.
	* lib/mc.ext.in: Likewise.
	* lib/mc.hint*: Likewise.
	* lib/mc.hlp.hu: Likewise.
	* po/*.po: Likewise.
	* src/main.c: Likewise.

2001-04-19  Pavel Roskin  <proski@gnu.org>

	* configure.in: Don't install mcserv unless
	"--enable-mcserv-install" has been specified.
	Don't quote the first argument in all calls to AM_CONDITIONAL
	to work around a bug in Automake 1.4.
	* doc/Makefile.am: Use MCSERV_INSTALL conditional.
	* vfs/Make-mc.in: Likewise.

2001-04-13  Pavel Roskin  <proski@gnu.org>

	* configure.in: Bump version to 4.5.53a.

2001-04-06  Pavel Roskin  <proski@gnu.org>

	* gtkedit/editcmd.c: Remove support for XView layout attributes.
	* gtkedit/editoptions.c: Likewise.
	* pc/chmod.c: Likewise.
	* pc/drive.c: Likewise.
	* src/boxes.c: Likewise.
	* src/chmod.c: Likewise.
	* src/dlg.c: Likewise.
	* src/dlg.h: Likewise.
	* src/filegui.c: Likewise.
	* src/find.c: Likewise.
	* src/hotlist.c: Likewise.
	* src/layout.c: Likewise.
	* src/listmode.c: Likewise.
	* src/main.c: Likewise.
	* src/option.c: Likewise.
	* src/panelize.c: Likewise.
	* src/wtools.c: Likewise.
	* src/wtools.h: Likewise.
	* vfs/smbfs.c: Likewise.

	* autogen.sh: Check out "intl" and "macros" directories if they
	are missing. Simply "cvs up -d" won't restore them.

	* configure.in: Bump version to 4.5.52a.

2001-03-14  Pavel Roskin  <proski@gnu.org>

	* configure.in: Use AC_CHECK_TOOL for finding AR. Define
	Automake conditional USE_SAMBA_FS if Samba is to be supported
	in VFS.

2001-03-07  Pavel Roskin  <proski@gnu.org>

	* configure.in: Use AM_PROG_CC_STDC if AC_PROG_CC_STDC is not
	defined.
	Reported by Norbert Warmuth.

	* configure.in: Don't process vfs/extfs/uzip - it's now
	constant.

	* syntax/changelog.syntax: Require space after asterisk to have
	it highlighted.

2001-03-02  Pavel Roskin  <proski@gnu.org>

	* aclocal.m4 (MC_HPUX_PROG_CC_STDC): Remove, it's obsolete.
	* configure.in: Use AC_PROG_CC_STDC instead.

	* lib/mc.ext.in: Recognize files ending by `.lslR' and `.ls-lR'.
	Suggested by Christian Gennerat.

	* lib/mc.ext.in: Add support for "freeze" - old compression
	program used mostly on QNX.
	* lib/mc.ext.in.qnx.diff: Remove, it's obsolete.
	* lib/Makefile.am: Adjusted.

2001-02-26  Pavel Roskin  <proski@gnu.org>

	* lib/mc-gnome.ext.in: Remove, it's not used.
	* configure.in: Remove lib/mc-gnome.ext.
	* lib/Makefile.am: Likewise.

2001-02-20  Pavel Roskin  <proski@gnu.org>

	* gtkedit/edit.h: Only include malloc.h if STDC_HEADERS is not
	defined to prevent warnings on OpenBSD 2.7.
	* slang/jdmacros.h: Likewise.
	* src/mad.h: Likewise.
	* src/poptalloca.h: Likewise.

	* configure.in: Check for sys/time.h and sys/timeb.h. Use
	AC_HEADER_TIME.

2001-02-07  Pavel Roskin  <proski@gnu.org>

	* autogen.sh: Create vfs/samba/include/stamp-h.in.
	* vfs/samba/include/stamp-h.in: Remove.

	* macros/curses.m4: Quote first argument to AC_DEFUN.
	* macros/gnome-cxx-check.m4: Likewise.
	* macros/gnome-gettext.m4: Likewise.
	* macros/gnome-libgtop-check.m4: Likewise.
	* macros/gnome-print-check.m4: Likewise.
	* macros/linger.m4: Likewise.
	* macros/need-declaration.m4: Likewise.

	* configure.in: Only configure in vfs/samba if smbfs support is
	enabled even with Autoconf 2.13.

2001-01-30  Pavel Roskin  <proski@gnu.org>

	* macros/gnome-vfs.m4 (GNOME_WITH_VFS): Fix mishandling of
	--without-samba due to a typo.

	* configure.in: Only configure in vfs/samba if smbfs support is
	enabled. This optimization will only work with Autoconf-2.49c
	and above.

2001-01-13  Pavel Roskin  <proski@gnu.org>

	* configure.in: Don't create a faked malloc.h.
	* gtkedit/edit.h: Don't assume that malloc.h always exists.
	* src/mad.h: Likewise.

	* configure.in: Simplified handling of cons.saver.
	* src/Makefile.in: Likewise. Don't install cons.saver setuid.
	* mc.spec.in: Remove a workaround for the above.

	* configure.in: Use AC_CANONICAL_HOST - "target" is meaningless
	for MC. Don't rely on the output of uname - use $host_os.

2001-01-11  Pavel Roskin  <proski@gnu.org>

	* configure.in: Check for ext2 libraries only if VFS is enabled.

	* src/Makefile.in: Create directories before installing files.
	Removed all occurrences of libprefix - it's never defined.

	* configure.in: All macros from configure.in moved to
	acinclude.m4. Added missing quotes in several places.
	* acinclude.m4: Likewise.

	* edit/Makefile.in: Don't install or uninstall mcedit -
	it cannot be installed before mc on systems without symlinks.
	* gtkedit/Makefile.in: Likewise.
	* src/Makefile.in: Install mcedit (if enabled) and mcview.
	Uninstall them.

	* macros/gnome-gettext.m4: Propagated change by Owen Taylor
	from acinclude.m4 in gtk+:
	Don't define ENABLE_NLS unless we have a working NLS.
	(This should keep libintl.h from being included when it doesn't
	exist).

2001-01-09  Pavel Roskin  <proski@gnu.org>

	* doc-gnome/C/figs/Makefile.am: New file.
	* doc-gnome/C/Makefile.am: Don't handle figs, let the new
	makefile do it.
	* configure: Substitute doc-gnome/C/figs/Makefile.

	* lib/Makefile.am: Distribute files listed in LOCALIZED_HELP.

2001-01-08  Szabolcs Ban  <shooby@gnome.hu>

	* lib/mc.hlp.hu: Added Hungarian help file from
	  tothb1@freemail.hu, Janos.Zana@elfiz2.kee.hu,
	  maci@integrity.hu, mfh47@freemail.hu
	* lib/Makefile.am: Added LOCALIZED_HELP for further
	  mc.hlp l10ns
	* src/cmd.c, src/dlg.c, src/tree.c, src/view.c,
	  gtkedit/editcmd.c: I18n of mc.hlp

2000-12-29  Szabolcs Ban  <shooby@gnome.hu>

	* doc/mc.1.in: Corrected badly formatted link...

2000-11-10  Robert Brady  <robert@suse.co.uk>

	* configure.in: Add Tamil to ALL_LINGUAS.

2000-10-23  Pavel Roskin  <proski@gnu.org>

	* mc.spec.in: Allow mcserv.8 to be gzipped.

	* doc-gnome/C/Makefile.am: Workaround for buggy db2html
	that cannot deal with "./gmc.sgml".

2000-10-09  Pavel Roskin  <proski@gnu.org>

	* Makefile.am: GNOME_M4_FILES renamed to ACLOCAL_M4_SOURCES so
	that CVS Automake will drop dependencies to the macros that
	we don't distribute.

	* lib/mc.ext.in: Removed references to icons. Source RPMs
	grouped to one regex. Removed "Update" for source RPMs, added
	"Rebuild" instead. Added "Check signature" for all RPMs.
	Added a comment about pop-up menus in the text edition.

2000-10-06  Pavel Roskin  <proski@gnu.org>

	* gnome/Makefile.in, src/Makefile.in, vfs/Make-mc.in: Required
	flags moved out of CFLAGS as recommended by GNU coding
	standards.
	* configure.in: Don't add GLIB_CFLAGS to CFLAGS.
	* Make.common.in: XINC eliminated. GLIB_CFLAGS is now added to
	XCPPFLAGS.
	* INSTALL (Random notes on porting to other architectures):
	Completely rewritten. Recommended using CFLAGS instead of XINC.

2000-10-05  Pavel Machek  <pavel@artax.karlin.mff.cuni.cz>

	* lib/mc.ext.in: .spm is used by SuSE to mark src rpms

2000-10-04  Christophe Merlet  <christophe@merlet.net>

	* gnome/*.desktop: Updated French strings.

2000-10-03  Pavel Roskin  <proski@gnu.org>

	* doc-gnome/C/gmc.sgml: DTD changed to "PNG Variant V1.1"
	to allow <legalnotice>. Unclosed tags fixed.

2000-09-30  Pavel Roskin  <proski@gnu.org>

	* mc.spec.in: New package mc-common. Use DESTDIR instead of
	misusing prefix. Don't install old icons - they don't exist.

	* lib/mc.sh.in: Use "rm -f" to delete temporary files. Use
	"export -f" to have mc() exported.
	* doc/mc.1.in: Changed description of the "-P" option to
	avoid inclusion of mc.sh and mc.csh into the manual.
	Corrected paths of mc.hlp, mc.no_proxy and ~/mc/Tree.

2000-09-24  Pavel Roskin  <proski@gnu.org>

	* doc/mc.1.in: Minor formatting fixes.

	* lib/mc.sh.in: Remove temporary file non-interactively.
	* doc/mc.1.in: updated example for mc.sh.

2000-09-23  Pavel Roskin  <proski@gnu.org>

	* Makefile.am: mc.spec included to noinst_DATA so that "make all"
	updates it when needed.
	* mc.spec.in: Include translations with mc, not gmc. Run
	chkconfig --del in %preun, not %postun. --without-debug not
	needed. /etc/X11/wmconfig not needed. /etc/pam.d/mcserv shouldn't
	be executable. New files in %{prefix}/lib/mc/ - translated hints,
	editor files.

	* doc-gnome/C/Makefile.am: Fixed *clean targets. Use temporary
	directory for document processing. Comment changes. gmc.ps and
	gmc.pdf now generated from gmc.dvi.

	* configure: Always include Make.common as file, otherwise
	"make distclean" breaks.
	* edit/Makefile.in, gnome/Makefile.in, gtkedit/Makefile.in,
	slang/Makefile.in, src/Makefile.in, vfs/Make-mc.in: $(RMF)
	replaced with "rm -f" - the standard says that "rm" is portable.
	Ditto $(MV). Adjusted *clean targets to match those in
	Automake. Removed "cross" target.

2000-09-22  Pavel Roskin  <proski@gnu.org>

	* doc/mc.sgml: Removed as obsoleted by doc/mc.in.1
	* doc/gnome.sgml: Removed as obsoleted by doc-gnome/C/gmc.sgml
	* doc/Makefile.in: Converted to ...
	* doc/Makefile.am: ... this.

2000-09-21  Pavel Roskin  <proski@gnu.org>

	* lib/mc.sh.in: Use $HOME instead of '~' because the tilde
	is not expanded in all shells.
	* doc/mc.sgml: Updated the example script to reflect the above
	changes.
	* doc/mc.in.1: Likewise.

2000-09-19  Pavel Roskin  <proski@gnu.org>

	* lib/Makefile.in (LIBFILES_CONST): Added mc.hint.it from
	Marco Ciampa

2000-09-18  Pavel Roskin  <proski@gnu.org>

	* Make.common.in: Added installcheck to placate "make distcheck"
	* configure.in, Make.common.in, doc/Makefile.in,
	edit/Makefile.in, gnome/Makefile.in, gtkedit/Makefile.in,
	slang/Makefile.in, src/Makefile.in, vfs/Make-mc.in: Replacing
	variable MKINSTALLDIRS and builddir with Automake-compatible
	mkinstalldirs and top_builddir.
	* doc-gnome/C/Makefile.am: Only maintainers regenerate html
	files. Added uninstall-local target.

2000-09-17  Pavel Roskin  <proski@gnu.org>

	* configure.in: fixed wrong use of AC_MSG_RESULT inside
	AC_CACHE_VAL

	* Make.common.in: Added the "dvi" target for "make distcheck"
	to go further
	* doc-gnome/C/Makefile.in: converted to ...
	* doc-gnome/C/Makefile.am: ... this

2000-09-15  Pavel Roskin  <proski@gnu.org>

	* acconfig.h, configure.in: Require autoconf 2.13 or above.
	Removed workarounds for older versions. Removed MCDEBUG
	variable - it's not used. --with-debug renamed to --with-mad and
	cleaned up. Always use -Wall with gcc, other manipulations with
	CFLAGS removed.

	* doc/Makefile.in, edit/Makefile.in, gnome/Makefile.in,
	gtkedit/Makefile.in, slang/Makefile.in, src/Makefile.in,
	vfs/Make-mc.in: preserve timestamp on "make distdir", otherwise
	mc.pot becomes out of date in the tarball.

2000-09-14  Pavel Roskin  <proski@gnu.org>

	* configure.in: Removed some abuses of CPPFLAGS. Removed useless
	tests for cp, mv and rm.
	* Make.common.in: Removed variables xv_bindir and STRIP.
	Variables CP, MV and RMF are assigned trivial values.

	* edit/Makefile.in: Don't link headers, add extra includes
	to CPPFLAGS instead. Put links to the build directory.
	Remove the hack with "mx" - it is not needed anymore.

	* configure.in: remove any manipulations with top_srcdir.
	Don't change CPPGLAGS when the internal editor is enabled,
	instead do it ...
	* edit/Makefile.in, gtkedit/Makefile.in: ... here

	* configure.in, Make.common.in, doc/Makefile.in,
	edit/Makefile.in, gnome/Makefile.in, gtkedit/Makefile.in,
	slang/Makefile.in, src/Makefile.in, vfs/Make-mc.in: rootdir
	changed to top_srcdir for Automake compatibility

	* configure.in: REGEX_O variable removed - always use our regex

	* configure.in: MCFGR variable removed

2000-09-12  Pavel Roskin  <proski@gnu.org>

	* configure.in: enable AM_MAINTAINER_MODE to be consistent with
	other GNOME modules
	* autogen.sh: remove "-I ." from the "aclocal" command line

2000-09-01  Pavel Roskin  <proski@gnu.org>

	* configure.in: output vfs/extfs/Makefile

	* configure.in: AC_CANONICAL_SYSTEM moved above AM_INIT_AUTOMAKE
	to avoid a warning
	* acinclude.m4: removed unused macros AC_CHECK_HEADER_IN_PATH,
	AC_LIB_XPM, AC_X_SHAPE_EXTENSION

2000-08-29  Pavel Roskin  <proski@gnu.org>

	* configure.in: use AM_GNOME_GETTEXT
	* gettext.m4: removed
	* Makefile.am: adjusted files to distribute, previous change
	reverted

	* mc-aclocal.m4: renamed to ...
	* acinclude.m4: ... this
	* autogen.sh: simplified - no more tricks with mc-aclocal.m4
	* Makefile.am: aclocal should scan "." for gettext.m4

2000-08-28  Pavel Roskin  <proski@gnu.org>

	* Make.common.in: removed hack for "make distcopy"
	* doc/Makefile.in, edit/Makefile.in, gnome/Makefile.in,
	gtkedit/Makefile.in, slang/Makefile.in, src/Makefile.in,
	vfs/Make-mc.in: added "distdir" target. Now "make dist" works
	for external builds.
	* edit/Makefile.in, slang/Makefile.in: added "Makefile" target

2000-08-24  Pavel Roskin  <proski@gnu.org>

	* new_icons/Makefile.in: converted to ...
	* new_icons/Makefile.am: ... this
	* configure.in: automake conditional GNOME introduced.
	"insticons" removed

	* icons/*: removed
	* Makefile.am, configure.in: necessary adjustments

	* config.guess, config.sub, install-sh, mkinstalldirs: removed,
	automake installs them now

	* syntax/Makefile.in: converted to ...
	* syntax/Makefile.am: ... this

	* idl/Makefile.in: converted to ...
	* idl/Makefile.am: ... this

	* lib/Makefile.am: simplified, fixed "make dist"

	* lib/Makefile.in: converted to ...
	* lib/Makefile.am: ... this

	* lib/tkmc.wmconfig: removed
	* lib/Makefile.in, doc/FILES: removed lib/tkmc.wmconfig

	* Makefile.in, doc-gnome/Makefile.in, pc/Makefile: converted
	to ...
	* Makefile.am, doc-gnome/Makefile.am, pc/Makefile.am: ... this
	* Make.common.in: support for "distdir" for compatibility
	with Automake-generated makefiles
	* autogen.sh: run automake. Force cache - it is off by default
	in autoconf 2.49a, but it's still handy for maintainers
	* configure.in: adapted for Automake

	* AUTHORS: new file

2000-08-23  Pavel Roskin  <proski@gnu.org>

	* configure.in: resurrect definition of xvers

	* VERSION.in: removed
	* Makefile.in: don't do anything with VERSION.in and VERSION
	Take mc.spec from builddir, not srcdir
	* configure.in: don't create VERSION

2000-08-22  Pavel Roskin  <proski@gnu.org>

	* *.c, *.h: Updated address of Free Software Foundation

2000-08-21  Pavel Roskin  <proski@gnu.org>

	* Make.common.in, acconfig.h, configure.in, mc-aclocal.m4,
	doc-gnome/Makefile.in, doc-gnome/C/Makefile.in: removed stuff
	related to XView, libXPM, libXext and Tk

2000-08-18  Pavel Roskin  <proski@gnu.org>

	* Makefile.in, lib/Makefile.in: adjusted lists of distributed
	files

	* configure.in: Simplified dependency tracking by using
	"-include" with GNU Make
	* autogen.sh: Exit on all failures

2000-08-17  Pavel Roskin  <proski@gnu.org>

	* doc/mc.sgml: Curly braces replaced with &lcub; and &rcub;
	Fixed all misuses of single and double quotes. Typo fixes.
	Ensured compatibility with sgml2html, sgml2txt and sgml2latex
	* doc/mc.1.in: Typo fix

	* doc/mc.sgml: made compatible with sgml-tools 1.0.9
	* doc/linuxdoc-sgml.diff: removed
	* doc/Makefile.in: don't distribute linuxdoc-sgml.diff,
	distribute gnome.sgml

2000-08-15  Pavel Roskin  <proski@gnu.org>

	* Makefile.in: fixes for improper usage of $(srcdir), cleanup
	in the "distclean" target

	* doc-gnome/Makefile.in: Fixed some abuses of $(srcdir)
	Removed all XVIEW-related stuff
	Fixed placement of png files on "make dist"

	* doc/mc.1.in: Updated info about the internal editor

	* Makefile.in, */Makefile.in: Fail if $(RMF) fails - it may
	indicate serious problems. Fixes for uninstall.
	* doc/Makefile.in: Rebuild if it is out of date.

	* lib/cedit.menu: Added. This file has been missing

	* lib/Makefile.in: Install mc.sh and mc.csh in $(suppbindir) only

2000-08-08  Pavel Roskin  <proski@gnu.org>

	* Makefile.in: correctly detect make failures in subdirs

2000-08-01  Pavel Roskin  <proski@gnu.org>

	* nt, os2, tk, xv: removed all files
	* configure.in: don't create os2 and nt directories

2000-08-01  Pavel Roskin  <proski@gnu.org>

	* configure.in, mc-aclocal.m4: AC_WARN replaced with AC_MSG_WARN

	* README.PC, doc/mc.1.in, doc/mc.sgml: Updated e-mail address

2000-07-21  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* src/main.c: make 8bit input/output the default (99% of the people
	expects that; lets the remaining 1% use the configuration menu
	to disactivate it if they want)

2000-07-20  Andrew V. Samoilov  <sav@bcs.zp.ua>

	* gtkedit/ChangeLog: There was no ChangeLog there, so I added one.

2000-06-20  Jacob Berkman  <jacob@helixcode.com>

	* configure.in: check for gnome-libs with window icon support

	* acconfig.h: add icon define

2000-06-08  Matthias Warkus  <mawa@iname.com>

	* new_icons/gnome-pack-*.png: Updated.
	* gnome/mc.keys: Added a MIME type for SLP packages.

2000-05-30  Pavel Roskin  <pavel_roskin@geociiities.com>

	* syntax/diff.syntax: Highlight lines beginning with "File",
	"Files"	and "Binary"
	* syntax/makefile.syntax: Highlight "ifndef"
	* syntax/sh.syntax: Don't highlight "basnemae" ("basename" is
	highlighted)

2000-05-05  Pavel Machek  <pavel@artax.karlin.mff.cuni.cz>

	* lib/mc.ext.in: More changes by rebel@atrey: he forgot to begin
	comment lines with # in last release

2000-05-03  Pavel Machek  <pavel@artax.karlin.mff.cuni.cz>

	* lib/mc.ext.in: Fixes to changes by rebel@atrey.karlin.mff.cuni.cz.

2000-04-26  Pavel Machek  <pavel@artax.karlin.mff.cuni.cz>

	* lib/mc.ext.in: Changes from rebel@atrey.karlin.mff.cuni.cz. They
	look more consistent than original.

2000-04-14  Timur Bakeyev  <mc@bat.ru>

	* config.in: Added check against strcoll().

2000-04-14  Timur Bakeyev  <mc@bat.ru>

	* syntax/perl.syntax: According to Tomasz Wegrzanovski <maniek@beer.com>
	added 'and', 'or', 'not', 'for' keywords.

2000-04-06  Timur Bakeyev  <mc@bat.ru>

	* syntax.c: Very dirty fix to allow compilation of mcedit on ncurses
	based systems. Hope, this will make FreeBSD midc maintainer to enable
	build-in editor by default. Still, syntax highlighting is disabled.
	Need to port...

2000-03-13  Pavel Machek  <pavel@artax.karlin.mff.cuni.cz>

	* gtkedit/syntax.c (upgrade_syntax_file): possible buffer overflow
	  fixed, some messages gettext()ed again here and in
	gtkedit/editmenu.c:edit_about_cmd()

2000-03-13  Pavel Machek  <pavel@artax.karlin.mff.cuni.cz>

	* doc/mc.sgml (Examples): Fixed documentation, thanx
	to martin@internet-treff.uni-koeln.de.

2000-03-01  Pavel Roskin  <pavel_roskin@geocities.com>

	* gtkedit/editcmd.c (edit_replace_prompt): fix index for
	the label text

2000-02-25  Pavel Roskin  <pavel_roskin@geocities.com>

	* gtkedit/syntax.c: treat *.ads as Ada source
	* syntax/ada95.syntax: escape "+" and "*"
	* syntax/diffc.syntax: removed (obsoleted by diff.syntax)
	* syntax/Makefile.in: remove diffc.syntax

	* edit/edit_key_translator.c: interpret code 0177 as
	backspace unless recognized otherwise

2000-02-23  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* gtkedit/editcmd.c (edit_replace_prompt): fix incorrect
	initialization of array of structure (gcc version 2.96 20000131
	chokes on it).

	* lib/mc.hint: C-y and not C-u can be used to insert text in input
	lines (e. g. text which has been deleted with M-d).

	* configure.in: Fix the extfs-configure-fragment-in-final-output bug

2000-01-31  Yuan-Chung Cheng  <platin@linux.org.tw>

	* configure.in: Added "zh_CN.GB2312" to ALL_LINGUAS.

2000-01-29  Matthias Warkus  <mawa@iname.com>

	* new_icons/gnome-pack-deb.png: Replaced with Eduardo Silva's
	design on Federico's request.

2000-01-26  Federico Mena Quintero  <federico@helixcode.com>

	* idl/FileManager.idl (Desktop): Added arrange_icons() method and
	an ArrangeType enum.

2000-01-03  Aaron Lehmann  <aaronl@vitelus.com>

	* gdesktop.c, gdnd.c, gaction.c, gicon.c,
	gnome-file-property-dialog.c, gpopup.c, gpopup2.c, gprefs.cgmain.h,
	setup.c: Add option of using GNOME "magic" routines to determine file
	types. This makes MC intelligently look at the data in the file to see
	what type of file it is, rather than looking at the filename extension.
	This slows down MC quite a bit, so it has been made an optional
	preference item. Type detection is expected to improve as mime-magic
	matures.

2000-01-15  Federico Mena Quintero  <federico@helixcode.com>

	* lib/mc.menu (shell_patterns): Add a missing "esac".  Thanks to
	Martin Bialasinski <martin@internet-treff.uni-koeln.de> for
	providing a patch.

2000-01-11  Matthias Warkus  <mawa@iname.com>

	* Added icon and keys entry for Scheme source.

2000-01-03  Fatih Demir  <kabalak@gmx.net>

	* configure.in: Added tr -> ALL_LINGUAS .

1999-12-28  Matthias Warkus  <mawa@iname.com>

	* new_icons/*.png: Added a bunch of new icons.

1999-12-06  Federico Mena Quintero  <federico@redhat.com>

	* configure.in (VERSION): Bumped version number to 4.5.42.

1999-11-25  Yuri Syrota  <rasta@renome.rovno.ua>

	* configure.in: added 'uk' to ALL_LINGUAS.

1999-11-09  Pavel Machek  <pavel@artax.karlin.mff.cuni.cz>

	* lib/Makefile.in (LIBFILES_CONST): Adding mc.hint.cs file on
	request from David Sauer

1999-11-01  Federico Mena Quintero  <federico@redhat.com>

	* configure.in (VERSION): Bumped version number to 4.5.41.

1999-09-23  Federico Mena Quintero  <federico@redhat.com>

	* configure.in (VERSION): Set version number to 4.5.39.

1999-09-23  Jorge Godoy  <godoy@conectiva.com.br>

	* configure.in: Added pt_BR to ALL_LINGUAS

1999-09-22  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* lib/mc.sh.in, mc.csh.in: renamed from mc.sh resp. mc.csh. Adapt
	path to the mc binary according to @prefix@.

	* lib/Makefile.in (srcdir): mc.sh and mc.csh are now created by
	configure. Install mc.sh and mc.csh in $(suppbindir).

	* doc/mc.1.in, mc.sgml: Updated the mc function definition for bash
	and zsh. Suggest to source mc.sh or mc.csh instead of adding verbatim
	copies of the included function definitions.

	* mcfn_install.in: Comment out definitions of the mc functions. Source
	mc.sh instead of adding an outdated mc function definition.

	* configure.in: output mc.sh and mc.csh

1999-09-20  Federico Mena Quintero  <federico@redhat.com>

	* lib/startup.links: Changed the news link to Gnotices

1999-09-19  David Martin  <dmartina@usa.net>

	* gtkedit/editcmd.c (edit_print_string): Use unsigned char so that
	8 bit chars from strftime get displayed when inserting date.

	* lib/mc.ext.in: Add entries for bzip2 compressed pages as used in
	Mandrake 6.0. The generic entry for bzip2 moved to the end of the
	file to avoid interferences. In this one I changed the extension check
	to a type check (as used for gzip) which might give problems in some
	systems.

	* configure.in: Use -Tlatin1 to format man pages when available and
	"view" 8 bit chars.

1999-09-19  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* gtkedit/edit.h: Include file reordering to make it compile with
	--with-debug

	* gtkedit/editcmd.c (menu_save_mode_cmd): calculate dialog width
	dependent on length of translated strings to display.

1999-09-16  Owen Taylor  <otaylor@redhat.com>

	* Remove the magicdev autoconf test in favor of just
	including the idl file. Otherwise we have a dependency
	loop between this and magicdev.

1999-09-08  Federico Mena Quintero  <federico@redhat.com>

	* idl/FileManager.idl: Changed names, and put everything under a
	FileManager module.  Added a Desktop interface and some methods to
	the WindowFactory interface.

1999-09-08  Kjartan Maraas  <kmaraas@online.no>

	* doc-gnome/*: Shiny new docs from users-guide.
	All synced up.

1999-09-03  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: added 'nl' to ALL_LINGUAS, it was missing.

1999-09-01  Federico Mena Quintero  <federico@redhat.com>

	* README: Updated and spell-checked.

	* NEWS: Updated.

1999-08-31  Richard Hult  <rhult@hem2.passagen.se>

	* configure.in (ALL_LINGUAS): Added sv.

1999-08-30  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* lib/mc.sh: create temporary files in ~/.mc/tmp in order to avoid
	symlink attacks (mcfn_install and the man page still needs to be
	updated).

1999-08-20  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* configure.in (AC_WITH_SLANG): rm -f destination before making
	a symbolic link (ln -sf doesn't work as expected on Solaris)

1999-08-19  Elliot Lee  <sopwith@redhat.com>

	* */Makefile.in: Have 'make dist' work with builddir != srcdir.

1999-08-19  Federico Mena Quintero  <federico@redhat.com>

	* doc-gnome/C/gmc.sgml: Index fixes.

1999-08-18  Elliot Lee  <sopwith@redhat.com>

	* gtkedit/gtkedit.c: Make it build with gcc 2.95, by fixing the non-constant
	initializers in the GnomeUIInfo structure.

1999-08-16  Federico Mena Quintero  <federico@redhat.com>

	* configure.in (VERSION): Bumped version number to 4.5.38.

1999-08-15  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* lib/Makefile.in: added mc.hint.es to LIBFILES_CONST

1999-08-15  David Martin  <dmartina@usa.net>

	* gtkedit/edit.c: Print localized date with strftime()

	* lib/mc.hint.es: NEW FILE. Hints in Spanish flavor.

1999-08-08  David Martin  <dmartina@usa.net>

	* gtkedit/syntax.c (upgrade_syntax_file): Mark error strings for
	translation.

	* gtkedit/editmenu.c (edit_about_cmd): Mark text in "about" for
	translation as it used to be.

1999-08-05  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* doc-gnome/C/gmc.sgml: Set the book element's id to "index" so
	that the correct index.html will be generated.

1999-07-27  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* syntax/Makefile.in (ALLSYNTAX): Added the missing syntax files
	to the list.

1999-07-21  Paul Sheer  <psheer@obsidian.co.za>

	* gtkedit.c, edit.c, editcmd.c, syntax.c, edit.h, bookmark.c,
	editwidget.c: bring editor stuff up to date with cooledit 3.11.5
	This adds some new syntax rules, and spell check on the fly
	which if someone bugs me for, will actually get enabled in
	both the text and gnome versions. Bookmark stuff also needs
	some keys bound to it, I suppose: any takers?

1999-07-19  Elliot Lee  <sopwith@redhat.com>

	* Makefile.in: Remove doc-gnome* from codedirs variable. Fixes
	infinitely recursing make.

1999-07-05  Miguel de Icaza  <miguel@gnu.org>

	* Makefile.in (all): Makefile fix.

1999-05-27  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* Make.common.in (confdir): Define confdir as sysconfdir.  This
	should fix the problem we had with FSSTND distributions.

1999-07-04  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* Makefile.in (DISTMAIN): Added config.guess and config.sub to the
	list of distributed files.

1999-07-03  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* configure.in (VERSION): Bumped version number to 4.5.34.

1999-07-02  Tuomas J. Lukka  <lukka@iki.fi>

	* Add fi into ALL_LINGUAS

1999-07-01  Tuomas Kuosmanen  <tigert@gimp.org>

	* gnome/i-zipdisk2.png: Added another zip-disk icon
	by <scarab@egyptian.net> - It looks very nice. Variation
	is good.

1999-06-22  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* acconfig.h: Add WITH_SMBFS

	* macros/gnome-vfs.m4: Support conditional samba support.

1999-05-27  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* Make.common.in (confdir): Define confdir as sysconfdir.  This
	should fix the problem we had with FSSTND distributions.

1999-02-22  Vladimir Kondratiev  <vkondra@iil.intel.com>

	* mc.spec.in: added syntax files to %files

1999-06-22  David Martin  <dmartina@usa.net>

	* gtkedit/gtkedit.c (tb_items): Mark strings for localization.

1999-06-07  Shooby Ban  <bansz@szif.hu>

	* po/hu.po, configure.in: added Hungarian translations...
	  I'm not sure it's OK, but it seems usable.
	  Translators: Tamas Fejos and Andras Kadar

1999-06-07  Kjartan Maraas  <kmaraas@online.no>

	* configure.in, Makefile.in: added the gmc helpfile to the build

1999-05-23  Yukihiro Nakai  <nacai@iname.com>

	* Add ja entry to LANG in configure.in

1999-05-19  Tuomas Kuosmanen  <tigert@gimp.org>

	* gnome/Makefile.in (ICONS): OK, perhaps we also want the zip-icon to
	be installed in the system :) (added it to the Makefile.in)

1999-05-19  Tuomas Kuosmanen  <tigert@gimp.org>

	* gnome/i-zipdisk.png: I added an icon for the ZIP(tm I guess :)
	disks - someone please add it to the mount.c code so it gets used..
	Everyone have a nice time at the expo! :) I hope to join the
	next time.

Mon May 17 07:30:48 1999  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* configure.in: Added check for getpt ()

1999-05-05  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* configure.in (VERSION): Bumped version number to 4.5.31.

Wed Apr 21 22:04:30 1999  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* gtkedit/editcmd.c (edit_save_file): MAD knows about tempnam, no
	need to fool it by strdup'ing the return value of tempnam.

Wed Apr 21 20:44:41 1999  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* configure.in: New option --with-tm-x-support, use MCCFLAGS and
	MCLIBS which are specific to the text edition.

	* INSTALL: Added documentation for --with-tm-x-support

Sun Apr 18 17:51:54 EDT 1999 Gregory McLean  <gregm@comstar.net>

	* mc.spec.in : Folded in some changes from the 'official' rpm
	spec file.

1999-04-16  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* configure.in (SHELL): Do not use grep -q, as it is not portable
	to every OS.

Thu Apr 15 21:59:52 1999  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* configure.in: Linking from $srcdir/slang is broken when configure
	isn't called with an absolute path. Link from ../$srcdir/slang if
	configure was invoked with a relative path.

1999-03-20  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* configure.in: Do not rm the destination file and then link, use
	ln -sf. Link from $srcdir/slang, not from ../$srcdir/slang.

Tue Apr 13 06:07:05 1999  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* configure.in: Some AC_ARG_WITH macros haven't checked $withval, i.e.
	--with-PACKAGE and --without-PACKAGE gave the same results.

1999-04-09  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* configure.in (VERSION): Bumped version number to 4.5.30.

1999-03-30  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* configure.in (VERSION): Bumped version number to 4.5.29.

Sun Mar 28 23:46:01 1999  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* configure.in: Deleted duplicate VFS checks. GNOME_VFS_CHECKS
	now contains all checks.

1999-03-26  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* configure.in (VERSION): bumped version number to 4.5.28.

Fri Mar 26 19:16:38 1999  Timur Bakeyev  <mc@bat.ru>

	* */Makefile.*: fixed several missed conversions from libdir to
	mclibdir. (Should be automake'd, really)

1999-03-24  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* Make.common.in: There were conflicting definitions of mclibdir
	(one for installation, one for source).  Now the source one is
	called mcsrclibdir.

	* doc/Makefile.in: Use mcsrclibdir where appropriate.

Mon Mar 22 03:00:15 1999  Timur Bakeyev  <mc@bat.ru>

	* edit/syntax.c: Remove extra "|"  in "file ..\*\\.(pp|PP|pas|PAS|)$ \
	Pascal Program" (Heh, second time :)

	* Makefile.common: Until things gets clear, keep syntax rules in
	$(prefix)/lib/mc//syntax, as this is how (LIBDIR "/syntax") expands.

	Also, $(libdir) changed to $(mclibdir), to avoid confusion with expanded
	@libdir@.

Mon Mar 22 01:52:32 1999  Timur Bakeyev  <mc@bat.ru>

	* configure.in, Makefile.in, Makefile.common: Add syntax/Makefile.in,
	as requested by Paul. Still, need some checking...

Sun Mar 21 03:55:24 1999 Paul Sheer  <psheer@obsidian.co.za>

	* edit/*.[ch] gtkedit/*.[ch]: brought the editor up
	to date with cooledit 3.9.0. This adds some new features.
	Firstly the SYNTAX RULES ARE NO LONGER HARDCODED into
	syntax.c. This is because the rule set is becoming too
	large to maintain in its current form and because file
	loading is starting to get slow.

	There is also a bookmark feature which does not yet have
	key bindings assigned to it, but should be cool once
	these get inserted. Syntax rules files are named
	    $LIBDIR/cooledit/syntax/*.syntax

1999-03-20  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* configure.in: Create slang directory, it is needed when
	builddir != srcdir.
	Use -f when calling rm, the file does not exist on
	first compile.
	No need to copy VERSION from $srcdir, it's already generated in
	$builddir.

Fri Mar 19 06:32:36 1999  David Martin  <dmartina@usa.net>

	* edit/edit_key_translator.c: Added missing translation tags.

1999-03-18  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* configure.in: Minimum version of glib should be 1.2.0.
	(VERSION): Bumped version number to 4.5.27.

Wed Mar 10 21:52:55 1999  David Martin  <dmartina@usa.net>

	* gtkedit/editcmd.c: Added missing translation tags.

	* gtkedit/editoptions.c: Added missing translation tags. Translate
	radio buttons on first use.

Sat Feb 27 21:00:45 1999 Gregory McLean  <gregm@comstar.net>

	* applied a patch from Duncan Mak <mustapha@wegythu.res.cmu.edu>
	to get the mc spec file to work.
	* hacked configure to generate a properly versioned spec file.

Fri Feb 26 22:06:51 1999  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* gtkedit/editcmd.c (menu_save_mode_cmd): translate strings for
	radio buttons on first pass.

Fri Feb 26 21:45:30 1999  David Martin  <dmartina@usa.net>

	* gtkedit/editcmd.c: Mark strings in the search and replace
	dialogs for translation. Resized these dialogs to let the messages
	fit.

1999-02-22  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* gtkedit/editwidget.c (selection_send): Use the proper type for
	64-bit cleanliness (Patch from George Lebl).

Tue Feb 16 21:24:43 1999  David Martin  <dmartina@usa.net>

	* gtkedit/gtkedit.c: Hack to get one more string defined in a macro
	into the catalog file.

Sat Feb 13 01:39:17 1999  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* configure.in: Make Timur's libtermcap check work with SLang
	0.99.98, too.

1999-02-12  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* new_icons/Makefile.in (ALLICONS): Added Tigert's new icons for
	PS and EPS files.  Thanks, Tigert!

1999-02-09  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* configure.in (CCOPTS): Drop the prefix auto-detection.

Wed Feb 10 02:48:51 1999  Timur Bakeyev  <mc@bat.ru>

	* configure.in: Add check, which, in case of system-installed SLang
	library tries to run a test program, which determines, does we need
	linking with libtermcap.a. Also, set of if's for finding terminfo
	dir changed to for cycle - a bit nicer :)

Tue Feb  9 20:52:19 1999  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* README.QNX: Deleted documentation about mc.menu.qnx.diff.

Tue Feb  9 20:46:07 1999  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* lib/mc.menu.qnx.diff: Deleted, it was merged with mc.menu.

Tue Feb  9 20:32:39 1999  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* lib/mc.menu: Removed GNU tar'isms (option z). Removed option -o
	from tar calls when extracting (according to my man page this option
	is only useful when creating archives).

Tue Feb  9 20:28:15 1999  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* lib/mc.menu: Applied patch from root 	<root@golia.dntis.ro> which
	adds support for tar.bz2 and merges the support for freeze-compressed
	tar files (tar.F) from mc.menu.qnx.diff.

Sun Feb  7 06:11:48 1999  Timur Bakeyev  <mc@bat.ru>

	* Makefile.in: Change calls to xmkdir to mkinstalldirs - this is more
	GNU-like :)

1999-01-30  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* gtkedit/gtkedit.c: Hack to get a string defined in a macro into
	the catalog file.

1999-02-02  Tuomas Kuosmanen  <tigert@gimp.org>

	* new_icons/gnome-core.png: New icon for core files. Someone
	please add the code part :)

Mon Feb  1 01:28:19 1999  Timur Bakeyev  <mc@bat.ru>

	* configure.in: Add check against setuid() and setreuid() functions.

Fri Jan 29 22:55:56 1999  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* slang/slang.h: renamed to slang-mc.h

	* slang/Makefile.in: delete slang.h on "make clean"

	* configure.in: link slang/slang-mc.h to slang/slang.h when the
	included slang is used. Problem was that MC's slang.h was used
	when we compiled with an already installed SLang and the systems
	header file were included with <slang/slang.h>.
	Unfortunately I can't use AC_LINK_FILES to make the links because
	if we needn't make any links AC_LINK_FILES makes a link from
	srcdir to top_builddir (builddir != srcdir).

	Temporary add $LGPM to $LIBS when checking for the resizeterm
	and keyok functions (ncurses might be linked against GPM).

	Substitute PACKAGE (intl/Makefile makes use of it)

Wed Jan 27 03:34:44 1999  Timur Bakeyev  <mc@bat.ru>

	* gtkedit/edit.h: including of <malloc.h> and <stdlib.h> swapped by
	#include "global.h".

1999-01-13  Jonathan Blandford  <jrb@redhat.com>

	* Make.common.in (gnewdir): new path.

Sun Jan 17 03:19:47 1999  Timur Bakeyev  <mc@bat.ru>

	* configure.in: Add comments before "Let" and "the" - typo. Add new
	path to include's search.

1999-01-10  Ilya Zakharevich  <ilya@math.ohio-state.edu>

	* gtkedit/edit.c (edit_load_file): Off-by-one error disabled editing.

1999-01-11  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* configure.in (REGEX_O): Always include regex.o as the code we
	are using in gmc is not using regcomp/regexec, but the internal
	Emacs API.

	* src/regex.c: Do not compile the POSIX compatibility code, as we
	do not use it.

Tue Dec 29 15:49:45 1998  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* doc/mc.sgml, mc1.in (Color section): minor polishing
	(Layout section): documented Highlight...

Thu Dec 24 18:30:53 1998  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* configure.in: Deleted du checks

	* INSTALL: Deleted --with-dusum documentation.

	* doc/mc.sgml, mc.1.in: Completed documentation about the Options/
	Configuration dialog. Added Advanced chown subsection. Deleted
	variables from the Special settings section which are now covered
	by the configuration dialog.

Mon Dec 21 22:26:34 1998  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* doc/mc.sgml, mc.1.in: Deleted obsolete information about
	tar_gz_memlimit. Partially rewrote the section about the
	Virtual FS.. configuration dialog.

1998-12-17  Christopher Blizzard  <blizzard@appliedtheory.com>

	* autogen.sh (srcdir): Honor $ACLOCAL_FLAGS when running aclocal.

Sun Dec 13 15:26:19 1998  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* Makefile.in (target installdirs): create $(DESTDIR)$(idldir)

	* lib/Makefile.in (target install): install $(LIBFILES_OUT) from the
	builddir

1998-12-08  Tuomas Kuosmanen  <tigert@gimp.org>

	* new_icons/gnome-image-[lots].png: I added some icons for file
	types (image) there - someone please tell me what the correct
	location and naming convention is and I will try to follow that. :)

1998-12-08  Christopher Blizzard  <blizzard@appliedtheory.com>

	* configure.in (builddir): Add icons/Makefile to AC_OUTPUT so that
	the build will still work.  (Has this been replaced by new_icons?)

Tue Dec  1 11:58:55 1998  Pavel Machek  <pavel@atrey.karlin.mff.cuni.cz>

	* doc/mc.1.in, mc.sgml: added my name to list of authors

1998-12-02  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* Makefile.in (codedirs): Dropped xv and tk ports from the
	distribution. include idl directory.

1998-12-01  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* configure.in (slang_use_system_installed_lib): Define slang
	here, to avoid having this on LIBS.

1998-11-26  Herbert Valerio Riedel  <hvr@hvrlab.ml.org>

	* gtkedit.c: changed occurrence of 'va_list *ap' to 'va_list ap'

Thu Nov 26 12:20:06 1998  Pavel Roskin  <pavel_roskin@geocities.com>

	* config.h.in: Removed from CVS, added to .cvsignore

	* acconfig.h, macros/curses.m4, src/xcurses.c, src/tty.h,
	configure.in:
	NO_COLOR_SUPPORT renamed to NO_COLOR_CURSES
	HAVE_SUNOS_CURSES and SUNOS_CURSES renamed to USE_SUNOS_CURSES
	HAS_CURSES added to acconfig.h

1998-11-24  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* autogen.sh: Add "-I macros" to the aclocal flags.

	* mc-aclocal.m4: Renamed fp_PROG_CC_STDC to MC_HPUX_PROG_CC_STDC
	so that aclocal will not complain about an obsolete macro.

	* configure.in: Use MC_HPUX_PROG_CC_STDC

	* ChangeLog: There was no ChangeLog here, so I added one.
